import { HttpService } from './http.service';
import 'rxjs/operator/map';
import { ResponseListModel } from '../models/response-list.model';
import { StorageInterface } from '../intefraces/storage.interface';
export declare abstract class AbstractRefsService {
    protected httpService: HttpService;
    private cache;
    protected static MAX_ITEMS: number;
    static PER_PAGE_FIELD: string;
    static PAGE_FIELD: string;
    static SORT_FIELD: string;
    abstract refName: string;
    protected refsEndPoint: string;
    constructor(httpService: HttpService, cache: StorageInterface);
    setRefsEndPoint(_refsEndPoint: string): void;
    /**
     * Получить информацию об одной записе
     *
     * @param guid
     * @returns {Promise<T>}
     */
    getOne(guid: string): Promise<any>;
    treeUp(guid: string, params?: any): Promise<any>;
    treeDown(guid: string, params?: any): Promise<any>;
    getList(params: any): Promise<ResponseListModel<any>>;
    /**
     * Загружает весь справочник
     * @param params
     * @param sort
     * @returns {Promise<T>}
     */
    getListAll(params: any, sort?: string): Promise<any>;
}
