import { HttpService } from './http.service';
import { ArticleModel } from '../models/article.model';
export declare class ArticlesService {
    private httpService;
    /**
     * Base URL до микросервиса content
     */
    private contentEndPoint;
    constructor(httpService: HttpService);
    /**
     * Получение статей по трейлу топика
     * @param {string} topicTrail Полное имя топика
     * @returns {Promise<ArticleModel[]>}
     */
    getArticlesByTopicTrail(topicTrail: string): Promise<ArticleModel[]>;
    /**
     * Установка base url до микросервиса контент
     * @param {string} endPoint
     */
    setContentEndPoint(endPoint: string): void;
}
