import { StorageInterface } from "../intefraces/storage.interface";
import { HttpService } from "./http.service";
import { DynamicRefsService } from "./dynamic-refs.service";
/**
 * Сервис строителя динамических справочников.
 */
export declare class DynamicRefsBuilderService {
    protected httpService: HttpService;
    private cache;
    /**
     * Хранит список инстансов сервисов динамических справочников
     *
     * @type {{}}
     */
    private services;
    /**
     * End point для сервиса refs
     */
    protected refsEndPoint: string;
    constructor(httpService: HttpService, cache: StorageInterface);
    /**
     * Устновка end point для справочников
     *
     * @param _refsEndPoint
     */
    setRefsEndPoint(_refsEndPoint: string): void;
    /**
     * Получить экземпляр динамического сервиса справочников.
     *
     * @param name имя справочника, например geo, spec
     * @returns {DynamicRefsService} экземпляр сервиса DynamicRefsService с инициализированными refName и endPoint
     */
    getInstance(name: string): DynamicRefsService;
}
