import { CurrentUserService } from "./current-user.service";
import { RealtorModel } from "../models/realtor.model";
export declare class HelperService {
    private currentUser;
    constructor(currentUser: CurrentUserService);
    /**
     * Plural forms
     *
     * Use:
     *
     * declOfNum(count, ['найдена', 'найдено', 'найдены']);
     *
     * @see https://gist.github.com/realmyst/1262561#gistcomment-2032406
     *
     * @param n
     * @param titles
     * @returns {string}
     */
    declOfNum(n: number, titles: string[]): string;
    /**
     * Возвращает выделенный текст
     *
     * @returns {string}
     */
    getSelectedText(): string;
    /**
     * Форматирует телефонный номер
     * @param prefix Префикс
     * @param phone Номер телефона
     * @returns {string}
     */
    maskPhone(prefix: string, phone: string): string;
    /**
     * Возвращает количество опубликованных объявлений риелтором в текущем городе
     * @param {RealtorModel} realtorInfo Модель риелтора
     * @returns {Number}
     */
    getPublishedRealty(realtorInfo: RealtorModel): number;
    /**
     * Возвращает количество опубликованных эксклюзивных объявлений риелтором в текущем городе
     * @param {RealtorModel} realtorInfo Модель риелтора
     * @returns {Number}
     */
    getExclusiveRealty(realtorInfo: RealtorModel): number;
    /**
     * Возвращает информацию о количестве объявлений риелтора в текущем городе
     * @param {RealtorModel} realtorInfo Модель риелтора
     * @returns {{}}
     */
    private getRealtyInfo(realtorInfo);
}
