import { Http as NgHttp, RequestOptionsArgs, Request, Response, ConnectionBackend, RequestOptions, XHRBackend } from "@angular/http";
import { Observable } from "rxjs/Observable";
import { Injector } from "@angular/core";
import { HttpClient } from "@angular/common/http";
export declare function httpFactory(injector: Injector, backend: XHRBackend, defaultOptions: RequestOptions): HttpService;
export declare class HttpService extends NgHttp {
    private injector;
    private defaultHttpClient;
    constructor(injector: Injector, backend: ConnectionBackend, defaultOptions: RequestOptions);
    /**
     * Возвращает стандартный HTTP-клиент
     * @returns {HttpClient}
     */
    getDefaultHttpClient(): HttpClient;
    /**
     * Переопределяем стандартный метод request(). Добавляем заголовок с токеном
     *
     * @param url
     * @param options
     * @returns {Observable<Response>}
     */
    request(url: string | Request, options?: RequestOptionsArgs): Observable<Response>;
    private handleHttpError(err);
}
