import { StorageInterface } from "../intefraces/storage.interface";
import { AbstractKeyValueStorage } from "./abstract-key-value-storage.service";
export declare class LocalStorageService extends AbstractKeyValueStorage implements StorageInterface {
    /**
     * Установка значения по ключу
     * @param {string} key Ключ, по которому необходимо сохранить данные
     * @param {any} value Данные для сохранения
     * @returns {Promise<T>}
     * @protected
     */
    protected _set(key: string, value: any): Promise<any>;
    /**
     * Получение значения по ключу
     * @param {string} key Ключ, по которому необходимо получить значение
     * @returns {Promise<T>}
     * @protected
     */
    protected _get(key: string): Promise<any>;
    /**
     * Удаление значения по ключу
     * @param {string} key Ключ по которым необходимо удалить данные
     * @returns {Promise<T>}
     * @protected
     */
    protected _remove(key: string): Promise<any>;
    /**
     * Полная очистка хранилища
     * @returns {Promise<T>}
     * @protected
     */
    protected _clear(): Promise<any>;
    /**
     * Возвращает экземпляр хранилища
     * @returns {Promise<T>}
     * @protected
     */
    protected _getStorageInstance(): Promise<any>;
}
