import { HttpService } from './http.service';
import { NotifyInfoModel } from '../models/notify-info.model';
import { NotificationItemModel } from '../models/invite-item.model';
import { ResponseListModel } from '../models/response-list.model';
import { Observable } from 'rxjs';
import { IResponse } from '../intefraces/response.interface';
export declare class NotificationService {
    private httpService;
    constructor(httpService: HttpService);
    getInfo(): Promise<NotifyInfoModel>;
    /**
     * Получает список обработанных уведомлений
     * @param {any} query Параметры запроса
     * @returns {Promise<ResponseListModel<NotificationItemModel>>}
     */
    getProcessedList(query?: any): Promise<ResponseListModel<NotificationItemModel>>;
    /**
     * Получает список необработанных уведомлений
     * @param {any} query Параметры запроса
     * @returns {Promise<ResponseListModel<NotificationItemModel>>}
     */
    getUnProcessedList(query?: any): Promise<ResponseListModel<NotificationItemModel>>;
    /**
     * Принять уведомление
     * @param {string} operation_guid Guid операции
     * @returns {Observable<IResponse<any>>}
     */
    acceptNotification(operation_guid: string): Observable<IResponse<any>>;
    /**
     * Отклонить уведомление
     * @param {string} operation_guid Guid операции
     * @returns {Observable<IResponse<any>>}
     */
    declineNotification(operation_guid: string): Observable<IResponse<any>>;
}
