import { HttpService } from "./http.service";
import { StorageInterface } from "../intefraces/storage.interface";
export declare class RefsService {
    protected httpService: HttpService;
    private cache;
    static readonly REFS_LAST_MODIFIED_INFO_KEY: string;
    protected refsEndPoint: string;
    constructor(httpService: HttpService, cache: StorageInterface);
    setRefsEndPoint(_refsEndPoint: string): void;
    /**
     * Синхронизирует справочники с бэкендом
     * @returns {Promise<T>}
     */
    synchronize(): Promise<any>;
    /**
     * Сравнивает локальные справочники и удаленные.
     *      При обнаружении измененных, добавленных или удаленных справочников - удаляет все записи из кеша относящиеся к этим справочникам
     *
     * @param {any} localInfo Объект с локальными справочниками, где ключ - имя справочника, значение - timestamp последнего изменения
     * @param {any[]} remoteInfo Массив объектов с информацией о справочниках на сервере
     * @returns {Promise<[]>}
     */
    private processLastModified(localInfo, remoteInfo);
}
