import { HttpService } from "./http.service";
import { CurrentUserService } from "./current-user.service";
export declare class StorageService {
    private userService;
    private http;
    private storageEndPoint;
    constructor(userService: CurrentUserService, http: HttpService);
    setStorageEndPoint(url: string): void;
    /**
     * Удаление файла со стораджа
     *
     * @param guid
     * @returns {Promise<T>}
     */
    deleteFile(guid: string): Promise<any>;
    /**
     * Post file to storage
     *
     * @param file
     * @returns {Promise<T>}
     */
    postFile(file: File): Promise<any>;
    /**
     * Заменить вложение
     *
     * @param guid
     * @param file
     * @returns {Promise<T>}
     */
    changeAttachment(guid: string, file: File): Promise<any>;
    /**
     * Возвращает безопасный стиль
     * для масштабированной картинки
     *
     * @param {string} imageGuid
     * @param {number} width
     * @param {number} height
     * @param {string} mode
     * @param {number} quality
     * @returns {String}
     */
    getScaledImageUrl(imageGuid: string, width: number, height: number, mode?: string, quality?: number): string;
    /**
     * Возвращает путь до картинки на storage
     *
     * @param {string} imageGuid
     * @returns {string}
     */
    getImageUrl(imageGuid: string): string;
}
