import { BasicUrls } from './basic-urls.model';
/** GW для работы с объявлениями */
export declare class RealtyUrls extends BasicUrls {
    /** Базовый URL */
    private static readonly baseUrl;
    /** Список объявлений */
    static readonly filter: string;
    /** Список избранных объявлений */
    static readonly favorites: string;
    /** Список моих объявлений */
    static readonly myList: string;
    static readonly getFiltersFullMeta: string;
    static readonly metaFull: string;
    /**
     * Создание объявления
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     */
    static create(actionGuid: string, entityGuid: string): string;
    /**
     * Редактирование объявления
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     * @param realtyGuid Идентификатор объявления
     */
    static update(actionGuid: string, entityGuid: string, realtyGuid: string): string;
    /**
     * Публикация объявления текущего пользователя
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     * @param realtyGuid Идентификатор объявления
     */
    static publish(actionGuid: string, entityGuid: string, realtyGuid: string): string;
    /**
     * Удаление объявления текущего пользователя
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     * @param realtyGuid Идентификатор объявления
     */
    static remove(actionGuid: string, entityGuid: string, realtyGuid: string): string;
    /**
     * Добавление/удаление из избранного
     * @param realtyGuid GUID объявления
     */
    static favorite(realtyGuid: string): string;
    /**
     * Подробная информация об объявлении
     * @param realtyGuid GUID объявления
     */
    static about(realtyGuid: string): string;
    static readonly getFormLastModified: string;
    static readonly getByGuids: string;
    static salePublish(actionGuid: string, entityGuid: string, guid: string): string;
    static saleUnPublish(actionGuid: string, entityGuid: string, guid: string): string;
    static cancelSaleModeration(actionGuid: string, entityGuid: string, guid: string): string;
}
