var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { BasicUrls } from './basic-urls.model';
/** GW для работы с объявлениями */
// @dynamic
var RealtyUrls = (function (_super) {
    __extends(RealtyUrls, _super);
    function RealtyUrls() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(RealtyUrls, "baseUrl", {
        /** Базовый URL */
        get: function () {
            return RealtyUrls.endPoint + "/realty";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "filter", {
        /** Список объявлений */
        get: function () {
            return RealtyUrls.baseUrl + "/filter";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "favorites", {
        /** Список избранных объявлений */
        get: function () {
            return RealtyUrls.baseUrl + "/favorites";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "myList", {
        /** Список моих объявлений */
        get: function () {
            return RealtyUrls.baseUrl + "/get-my-realty";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "getFiltersFullMeta", {
        // Список всех динамических фильтров объявлений
        get: function () {
            return RealtyUrls.endPoint + "/realty-filter/full-meta-info";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "metaFull", {
        // Метадата по объявлениям
        get: function () {
            return RealtyUrls.endPoint + "/realty-form/full";
        },
        enumerable: true,
        configurable: true
    });
    /**
     * Создание объявления
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     */
    RealtyUrls.create = function (actionGuid, entityGuid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid;
    };
    /**
     * Редактирование объявления
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     * @param realtyGuid Идентификатор объявления
     */
    RealtyUrls.update = function (actionGuid, entityGuid, realtyGuid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + realtyGuid;
    };
    /**
     * Публикация объявления текущего пользователя
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     * @param realtyGuid Идентификатор объявления
     */
    RealtyUrls.publish = function (actionGuid, entityGuid, realtyGuid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + realtyGuid + "/publish";
    };
    /**
     * Удаление объявления текущего пользователя
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     * @param realtyGuid Идентификатор объявления
     */
    RealtyUrls.remove = function (actionGuid, entityGuid, realtyGuid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + realtyGuid;
    };
    /**
     * Добавление/удаление из избранного
     * @param realtyGuid GUID объявления
     */
    RealtyUrls.favorite = function (realtyGuid) {
        return RealtyUrls.baseUrl + "/" + realtyGuid + "/favorites";
    };
    /**
     * Подробная информация об объявлении
     * @param realtyGuid GUID объявления
     */
    RealtyUrls.about = function (realtyGuid) {
        return RealtyUrls.baseUrl + "/" + realtyGuid;
    };
    Object.defineProperty(RealtyUrls, "getFormLastModified", {
        // Изменение справочников для формы создания/редактирования
        get: function () {
            return RealtyUrls.endPoint + "/realty-form/last-modified";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "getByGuids", {
        // Получение объявлений по гуидам
        get: function () {
            return RealtyUrls.endPoint + "/get-by-guids";
        },
        enumerable: true,
        configurable: true
    });
    // Публикация объявления на продающем сайте
    RealtyUrls.salePublish = function (actionGuid, entityGuid, guid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + guid + "/sale-publish";
    };
    // Снятие публикации объявления на продающем сайте
    RealtyUrls.saleUnPublish = function (actionGuid, entityGuid, guid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + guid + "/sale-unpublish";
    };
    // Отмена модерации объявления на продающем сайте
    RealtyUrls.cancelSaleModeration = function (actionGuid, entityGuid, guid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + guid + "/sale-cancel";
    };
    return RealtyUrls;
}(BasicUrls));
export { RealtyUrls };
//# sourceMappingURL=realty-urls.model.js.map