(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/http'), require('rxjs/Observable'), require('@angular/core'), require('angular2-uuid'), require('ngx-cookie-service'), require('rxjs/operator/map'), require('rxmq'), require('@angular/common/http'), require('ts-md5/dist/md5'), require('rxjs')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/http', 'rxjs/Observable', '@angular/core', 'angular2-uuid', 'ngx-cookie-service', 'rxjs/operator/map', 'rxmq', '@angular/common/http', 'ts-md5/dist/md5', 'rxjs'], factory) :
	(factory((global.ng = global.ng || {}, global.ng.common = global.ng.common || {}),global.ng.http,global.Rx,global.ng.core,global.angular2Uuid,global.ngxCookieService,null,global.Rxmq,global._angular_common_http,global.tsMd5_dist_md5,global.rxjs));
}(this, (function (exports,_angular_http,rxjs_Observable,_angular_core,angular2Uuid,ngxCookieService,rxjs_operator_map,Rxmq,_angular_common_http,tsMd5_dist_md5,rxjs) { 'use strict';

Rxmq = 'default' in Rxmq ? Rxmq['default'] : Rxmq;

var AbstractRefModel = (function () {
    function AbstractRefModel() {
    }
    return AbstractRefModel;
}());

// Сервис конфигурации
// @dynamic
var CommonConfigService = (function () {
    function CommonConfigService() {
    }
    Object.defineProperty(CommonConfigService, "gw", {
        get: function () {
            return CommonConfigService._gw;
        },
        set: function (value) {
            CommonConfigService._gw = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CommonConfigService, "storage", {
        get: function () {
            return CommonConfigService._storage;
        },
        set: function (value) {
            CommonConfigService._storage = value;
        },
        enumerable: true,
        configurable: true
    });
    return CommonConfigService;
}());
CommonConfigService._gw = '';
CommonConfigService._storage = '';

// Базовый класс для URL
// @dynamic
var BasicUrls = (function () {
    function BasicUrls() {
    }
    Object.defineProperty(BasicUrls, "endPoint", {
        // Endpoint
        get: function () {
            return CommonConfigService.gw;
        },
        enumerable: true,
        configurable: true
    });
    return BasicUrls;
}());

var __extends$1 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// URL's для работы с текущим пользователем
// URl's для текущего пользователя
// @dynamic
var CurrentUserUrls = (function (_super) {
    __extends$1(CurrentUserUrls, _super);
    function CurrentUserUrls() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(CurrentUserUrls, "self", {
        // Данные пользователя
        get: function () {
            return CurrentUserUrls.endPoint + "/self";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CurrentUserUrls, "moderation", {
        // Модерация
        get: function () {
            return CurrentUserUrls.self + "/moderate";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CurrentUserUrls, "logout", {
        // Выход из приложения
        get: function () {
            return CurrentUserUrls.endPoint + "/self/logout";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CurrentUserUrls, "geoSessionCity", {
        // Город сессии пользователя
        get: function () {
            return CurrentUserUrls.endPoint + "/self/geo";
        },
        enumerable: true,
        configurable: true
    });
    return CurrentUserUrls;
}(BasicUrls));

// Services
// Urls
// RxMq
// Имя ключа в хранилище (localStorage или sessionStorage)
var STORAGE_TOKEN_KEY = 'token';
var CurrentUserService = (function () {
    function CurrentUserService(injector, persistStorage, tempStorage, cookiesService) {
        this.injector = injector;
        this.persistStorage = persistStorage;
        this.tempStorage = tempStorage;
        this.cookiesService = cookiesService;
        this.token = '';
        this.usersEndPoint = '';
        this.temporaryDeviceUUID = '';
        this.ESBChannel = Rxmq.channel(CurrentUserService.ESB_CHANNEL_NAME);
    }
    // Получение соц сетей
    CurrentUserService.prototype.getSocials = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'self/socials';
            _this.injector.get(HttpService).get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                resolve(data);
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Предзагрузка
     *
     * @returns {Promise<string[]>}
     */
    CurrentUserService.prototype.load = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.restoreToken()
                .then(function (token) {
                var tokenResolve = function () {
                    resolve(token);
                };
                _this.loadInfoRemote().then(tokenResolve)
                    .catch(function (err) {
                    (err.statusCode == 401) ? tokenResolve() : reject(err);
                });
            })
                .catch(resolve);
        });
    };
    /**
     * Установка URL до сервиса users
     *
     * @param usersEndPoint
     */
    CurrentUserService.prototype.setUsersEndPoint = function (usersEndPoint) {
        this.usersEndPoint = usersEndPoint;
    };
    /**
     * Проверка текущей сессии пользователя
     *
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.isAuth = function () {
        return !!this.getToken();
    };
    /**
     * Авторизация в системе
     *
     * @param email
     * @param password
     * @param rememberMe
     */
    CurrentUserService.prototype.login = function (email, password, rememberMe) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/login';
            var body = { email: email, password: password };
            _this.injector.get(HttpService).post(url, body)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (token) {
                _this.storeToken(token, rememberMe)
                    .then(function (token) {
                    _this.token = token;
                    _this.loadInfoRemote()
                        .then(function () {
                        resolve();
                    })
                        .catch(function (err) {
                        reject(err);
                    });
                })
                    .catch(function () {
                    _this.token = '';
                    reject();
                });
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Регистрация нового пользователя
     *
     * @param email
     * @param password
     * @param password_repeat
     * @param firstname
     * @param lastname
     * @param geo_guid
     * @param phone
     */
    CurrentUserService.prototype.register = function (email, password, password_repeat, firstname, lastname, geo_guid, phone) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/register';
            var body = { email: email, password: password, password_repeat: password_repeat, firstname: firstname, lastname: lastname, geo_guid: geo_guid, phone: phone };
            _this.injector.get(HttpService).post(url, body)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                resolve(data);
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Проверка email адреса на первом этапе регистрации
     *
     * @param email
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.registerCheckEmail = function (email) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/register-check-email';
            var params = new _angular_http.URLSearchParams();
            params.set('email', email);
            _this.injector.get(HttpService).get(url, {
                search: params
            })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (correctEmail) {
                resolve(correctEmail);
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Замена номера телефона при переходе с третьего шага на второй
     *
     * @param user_guid
     * @param phone
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.registerChangePhone = function (user_guid, phone) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/register-change-phone';
            var body = { user_guid: user_guid, phone: phone };
            _this.injector.get(HttpService).put(url, body)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (newPhone) {
                resolve(newPhone);
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Проверка кода подтверждения из СМС
     *
     * @param user_guid
     * @param code
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.confirm = function (user_guid, code) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/confirm';
            var body = { user_guid: user_guid, code: code };
            _this.injector.get(HttpService).post(url, body)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                resolve(data);
            }, function (err) {
                reject(err);
            });
        });
    };
    // Загрузка информации о текущем пользователе
    CurrentUserService.prototype.loadInfoRemote = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = CurrentUserUrls.self;
            _this.injector.get(HttpService).get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (info) {
                _this.info = info;
                _this.ESBChannel.subject(CurrentUserService.ESB_USER_LOGIN).next(info);
                resolve(info);
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Запрос ссылки сброса пароля на почту
     *
     * @param email
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.reminderPassword = function (email) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/reminder-password';
            var body = { email: email };
            _this.injector.get(HttpService).post(url, body)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (result) {
                resolve(result);
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Проверка токена восстановления пароля. Используется при открытии страницы восстановления, токен передается
     * в параметре урла
     *
     * @param token
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.restorePasswordCheck = function (token) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/restore-password-check';
            var params = new _angular_http.URLSearchParams();
            params.set('token', token);
            _this.injector.get(HttpService).get(url, { search: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (result) {
                resolve(result);
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Восстановление пароля
     *
     * @param token
     * @param password
     * @param password_repeat
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.restorePassword = function (token, password, password_repeat) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/restore-password';
            var body = { token: token, password: password, password_repeat: password_repeat };
            _this.injector.get(HttpService).put(url, body)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (result) {
                resolve(result);
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Установка города
     *
     * @param geo_guid
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.setGeo = function (geo_guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'self/geo';
            var body = { geo_guid: geo_guid };
            _this.injector.get(HttpService).put(url, body)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (result) {
                _this.info.session.geo_guid = result.geo_guid;
                _this.ESBChannel.subject(CurrentUserService.ESB_SESSION_CHANGE_CITY).next({
                    oldGeoGuid: _this.info.session.geo_guid,
                    newGeoGuid: result.geo_guid
                });
                resolve(result);
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Добавляет подписчика на смену текущего города
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    CurrentUserService.prototype.onGeoChange = function (then) {
        return this.ESBChannel.observe(CurrentUserService.ESB_SESSION_CHANGE_CITY).subscribe(then);
    };
    /**
     * Добавляет подписчика на авторизацию пользователя
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    CurrentUserService.prototype.onLogin = function (then) {
        return this.ESBChannel.observe(CurrentUserService.ESB_USER_LOGIN).subscribe(then);
    };
    /**
     * Добавляет подписчика на выход пользователя из системы
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    CurrentUserService.prototype.onLogout = function (then) {
        return this.ESBChannel.observe(CurrentUserService.ESB_USER_LOGOUT).subscribe(then);
    };
    /**
     * Выход из аккаунта
     *
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.logout = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'self/logout';
            var handler = function () {
                _this.ESBChannel.subject(CurrentUserService.ESB_USER_LOGOUT).next();
                _this.localLogout().then(resolve).catch(reject);
            };
            _this.injector.get(HttpService).delete(url).subscribe(handler, handler);
        });
    };
    CurrentUserService.prototype.localLogout = function () {
        this.token = '';
        this.cookiesService.delete(CurrentUserService.USER_TOKEN_NAME);
        return Promise.race([
            this.persistStorage.remove(STORAGE_TOKEN_KEY),
            this.persistStorage.removeByTag(STORAGE_TOKEN_KEY),
            this.tempStorage.remove(STORAGE_TOKEN_KEY),
            this.tempStorage.removeByTag(STORAGE_TOKEN_KEY)
        ]);
    };
    /**
     * Обновить профиль текущего пользователя
     * @param newUserData Новые данные пользователя
     */
    CurrentUserService.prototype.saveProfile = function (newUserData) {
        var _this = this;
        return new rxjs_Observable.Observable(function (observer) {
            _this.injector.get(HttpService)
                .post(CurrentUserUrls.self, newUserData)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (response) {
                _this.info = response;
                observer.next(response);
                observer.complete();
            }, function (error) {
                observer.error(error);
                observer.complete();
            });
        });
    };
    /**
     * Отправить данные пользователя на модерацию
     * @param userData Данные пользователя
     */
    CurrentUserService.prototype.sendOnModeration = function (userData) {
        var _this = this;
        return new rxjs_Observable.Observable(function (observer) {
            _this.injector.get(HttpService)
                .post(CurrentUserUrls.moderation, userData)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (response) {
                _this.info = response;
                observer.next(response);
                observer.complete();
            }, function (error) {
                observer.error(error);
                observer.complete();
            });
        });
    };
    /**
     * Сохранить токен в локал сторадж
     *
     * @param token
     * @param rememberMe
     */
    CurrentUserService.prototype.storeToken = function (token, rememberMe) {
        if (rememberMe) {
            return this.persistStorage.set(STORAGE_TOKEN_KEY, token);
        }
        else {
            return this.tempStorage.set(STORAGE_TOKEN_KEY, token);
        }
    };
    /**
     * Восстанавливает значение токена из хранилища
     */
    CurrentUserService.prototype.restoreToken = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var cookieToken = _this.cookiesService.get(CurrentUserService.USER_TOKEN_NAME);
            if (cookieToken) {
                _this.token = cookieToken;
                _this.storeToken(_this.token, true)
                    .then(function () {
                    resolve(cookieToken);
                    _this.cookiesService.delete(CurrentUserService.USER_TOKEN_NAME);
                });
            }
            else {
                _this.persistStorage.get(STORAGE_TOKEN_KEY)
                    .then(function (token) {
                    _this.token = token;
                    resolve(token);
                })
                    .catch(function () {
                    _this.tempStorage.get(STORAGE_TOKEN_KEY)
                        .then(function (token) {
                        _this.token = token;
                        resolve(token);
                    })
                        .catch(function () {
                        reject();
                    });
                });
            }
        });
    };
    // Установить причину отказа модерации
    CurrentUserService.prototype.setRejectionReason = function (reason) {
        this.info.reject_reason = reason;
    };
    /**
     * Получить токен текущего пользователя
     *
     * @returns {string}
     */
    CurrentUserService.prototype.getToken = function () {
        return this.token;
    };
    /**
     * Установить токен пользователю
     *
     * @param token
     */
    CurrentUserService.prototype.setToken = function (token) {
        this.token = token;
    };
    /**
     * Получить информацию о текущем пользователе
     *
     * @returns {CurrentUserInfoInterface}
     */
    CurrentUserService.prototype.getInfo = function () {
        return this.info;
    };
    /**
     * Метод отправки приглашения пользователю
     * @param {string} email E-mail пользователя которого необходимо пригласить
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.invite = function (email) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'self/invite';
            _this.injector.get(HttpService).post(url, { email: email })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function () {
                resolve();
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Получить всех партнеров текущего пользователя
     *
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.getPartners = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'self/partners';
            _this.injector.get(HttpService).get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Добавить избранных партнеров текущему пользователю
     *
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.addPartners = function (partnersGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'self/partners';
            _this.injector.get(HttpService).put(url, partnersGuid)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Установить избранных партнеров текущему пользователю
     *
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.setPartners = function (partnersGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'self/partners';
            _this.injector.get(HttpService).post(url, partnersGuid)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Удалить избранного пользователя
     *
     * @returns {Promise<T>}
     */
    CurrentUserService.prototype.deletePartner = function (partnerGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'self/partner/' + partnerGuid;
            _this.injector.get(HttpService).delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Возвращает временный уникальный идентификатор устройства
     * @returns {string}
     */
    CurrentUserService.prototype.getTemporaryDeviceUUID = function () {
        if (!this.temporaryDeviceUUID) {
            this.temporaryDeviceUUID = angular2Uuid.UUID.UUID();
        }
        return this.temporaryDeviceUUID;
    };
    Object.defineProperty(CurrentUserService.prototype, "isCandidate", {
        // Пользователь является кандидатом
        get: function () {
            return this.info.rank === 'candidate';
        },
        enumerable: true,
        configurable: true
    });
    return CurrentUserService;
}());
CurrentUserService.ESB_CHANNEL_NAME = 'current-user';
CurrentUserService.ESB_SESSION_CHANGE_CITY = 'session.change-city';
CurrentUserService.ESB_INFO_UPDATE = 'info.update';
CurrentUserService.ESB_USER_LOGIN = 'user.login';
CurrentUserService.ESB_USER_LOGOUT = 'user.logout';
CurrentUserService.USER_TOKEN_NAME = 'X-User-Token';
CurrentUserService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
CurrentUserService.ctorParameters = function () { return [
    { type: _angular_core.Injector, },
    { type: undefined, decorators: [{ type: _angular_core.Inject, args: ['StorageInterface',] },] },
    { type: undefined, decorators: [{ type: _angular_core.Inject, args: ['StorageInterface',] },] },
    { type: ngxCookieService.CookieService, },
]; };

var HttpErrorService = (function () {
    function HttpErrorService() {
        this._handler = new _angular_core.EventEmitter();
    }
    Object.defineProperty(HttpErrorService.prototype, "handler", {
        get: function () {
            return this._handler;
        },
        enumerable: true,
        configurable: true
    });
    return HttpErrorService;
}());
HttpErrorService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
HttpErrorService.ctorParameters = function () { return []; };

var __extends = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
function httpFactory(injector, backend, defaultOptions) {
    return new HttpService(injector, backend, defaultOptions);
}
var HttpService = (function (_super) {
    __extends(HttpService, _super);
    function HttpService(injector, backend, defaultOptions) {
        var _this = _super.call(this, backend, defaultOptions) || this;
        _this.injector = injector;
        return _this;
    }
    /**
     * Возвращает стандартный HTTP-клиент
     * @returns {HttpClient}
     */
    HttpService.prototype.getDefaultHttpClient = function () {
        if (!this.defaultHttpClient) {
            var injector = _angular_core.ReflectiveInjector.resolveAndCreate([
                _angular_common_http.HttpClient,
                { provide: _angular_common_http.HttpHandler, useClass: _angular_common_http.HttpXhrBackend },
                { provide: _angular_common_http.XhrFactory, useClass: _angular_http.BrowserXhr }
            ]);
            this.defaultHttpClient = injector.get(_angular_common_http.HttpClient);
        }
        return this.defaultHttpClient;
    };
    /**
     * Переопределяем стандартный метод request(). Добавляем заголовок с токеном
     *
     * @param url
     * @param options
     * @returns {Observable<Response>}
     */
    HttpService.prototype.request = function (url, options) {
        var _this = this;
        var userService = this.injector.get(CurrentUserService), token = userService.getToken();
        if (typeof url === 'string') {
            var headers = new _angular_http.Headers();
            headers.append(CurrentUserService.USER_TOKEN_NAME, token);
            if (!(options instanceof _angular_http.RequestOptions)) {
                options = new _angular_http.RequestOptions();
            }
            options.headers = headers;
        }
        else if (url instanceof _angular_http.Request) {
            if (typeof url.headers === 'undefined') {
                url.headers = new _angular_http.Headers();
            }
            url.headers.append(CurrentUserService.USER_TOKEN_NAME, token);
        }
        return rxjs_Observable.Observable.fromPromise(new Promise(function (resolve, reject) {
            _super.prototype.request.call(_this, url, options)
                .subscribe(function (response) { return resolve(response); }, function (err) {
                reject(_this.handleHttpError(err));
            });
        }));
    };
    HttpService.prototype.handleHttpError = function (err) {
        var message;
        var errNo;
        try {
            var json = err.json();
            message = json.hasOwnProperty('error') ? json.error : err.statusText;
            errNo = json.hasOwnProperty('errno') ? json.errno : 0;
        }
        catch (error) {
            message = err.statusText;
            errNo = 0;
        }
        var error = {
            message: message,
            statusCode: err.status,
            errNo: errNo,
            errorResponse: err
        };
        this.injector.get(HttpErrorService).handler.emit(error);
        return error;
    };
    return HttpService;
}(_angular_http.Http));
HttpService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
HttpService.ctorParameters = function () { return [
    { type: _angular_core.Injector, },
    { type: _angular_http.ConnectionBackend, },
    { type: _angular_http.RequestOptions, },
]; };

var AbstractRefsService = (function () {
    function AbstractRefsService(httpService, cache) {
        this.httpService = httpService;
        this.cache = cache;
    }
    AbstractRefsService.prototype.setRefsEndPoint = function (_refsEndPoint) {
        this.refsEndPoint = _refsEndPoint;
    };
    /**
     * Получить информацию об одной записе
     *
     * @param guid
     * @returns {Promise<T>}
     */
    AbstractRefsService.prototype.getOne = function (guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var cacheKey = _this.cache.getCacheKey(_this.refName, guid);
            _this.cache.get(cacheKey).then(resolve).catch(function () {
                var url = _this.refsEndPoint + 'data/' + _this.refName + '/' + guid;
                _this.httpService.get(url)
                    .map(function (response) { return response.json(); })
                    .map(function (response) { return response.data; })
                    .subscribe(function (data) {
                    var doResolve = function () {
                        resolve(data);
                    };
                    _this.cache.set(cacheKey, data, 0, [data.guid, _this.refName])
                        .then(doResolve)
                        .catch(doResolve);
                }, function (err) {
                    reject(err);
                });
            });
        });
    };
    AbstractRefsService.prototype.treeUp = function (guid, params) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var cacheKey = _this.cache.getCacheKey('tree', _this.refName, guid, JSON.stringify(params));
            _this.cache.get(cacheKey)
                .then(resolve)
                .catch(function () {
                var url = _this.refsEndPoint + 'tree/' + _this.refName + '/up/' + guid;
                var search = params || {};
                _this.httpService.get(url, { search: search })
                    .map(function (response) { return response.json(); })
                    .map(function (response) { return response.data; })
                    .subscribe(function (data) {
                    var doResolve = function () {
                        resolve(data);
                    };
                    _this.cache.set(cacheKey, data, 0, [data.guid, _this.refName])
                        .then(doResolve)
                        .catch(doResolve);
                }, function (err) {
                    reject(err);
                });
            });
        });
    };
    AbstractRefsService.prototype.treeDown = function (guid, params) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var cacheKey = _this.cache.getCacheKey('tree', _this.refName, guid, JSON.stringify(params));
            _this.cache.get(cacheKey)
                .then(resolve)
                .catch(function () {
                var url = _this.refsEndPoint + 'tree/' + _this.refName + '/down/' + guid;
                var search = params || {};
                _this.httpService.get(url, { search: search })
                    .map(function (response) { return response.json(); })
                    .map(function (response) { return response.data; })
                    .subscribe(function (data) {
                    var doResolve = function () {
                        resolve(data);
                    };
                    _this.cache.set(cacheKey, data, 0, [data.guid, _this.refName])
                        .then(doResolve)
                        .catch(doResolve);
                }, function (err) {
                    reject(err);
                });
            });
        });
    };
    AbstractRefsService.prototype.getList = function (params) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.refsEndPoint + 'data/' + _this.refName;
            var keys = Object.keys(params);
            var _filter = new _angular_http.URLSearchParams();
            for (var i = 0; i < keys.length; i++) {
                var key = keys[i];
                _filter.set(key, params[key]);
            }
            var cacheKey = _this.cache.getCacheKey(_this.refName, _filter.toString());
            _this.cache.get(cacheKey)
                .then(resolve)
                .catch(function () {
                _this.httpService
                    .get(url, {
                    search: _filter
                })
                    .map(function (response) { return response.json(); })
                    .map(function (response) { return response.data; })
                    .subscribe(function (data) {
                    var doResolve = function () {
                        resolve(data);
                    };
                    var tags = [_this.refName];
                    var items = data ? data.items || [] : [];
                    items.map(function (v) {
                        if (v && v.guid) {
                            tags.push(v.guid);
                        }
                    });
                    _this.cache.set(cacheKey, data, 0, tags)
                        .then(doResolve)
                        .catch(doResolve);
                }, function (err) {
                    reject(err);
                });
            });
        });
    };
    /**
     * Загружает весь справочник
     * @param params
     * @param sort
     * @returns {Promise<T>}
     */
    AbstractRefsService.prototype.getListAll = function (params, sort) {
        var _this = this;
        if (sort === void 0) { sort = ''; }
        return new Promise(function (resolve, reject) {
            var url = _this.refsEndPoint + 'data/' + _this.refName + '/full';
            var keys = Object.keys(params);
            var _filter = new _angular_http.URLSearchParams();
            for (var i = 0; i < keys.length; i++) {
                var key = keys[i];
                _filter.set(key, params[key]);
            }
            if (sort != '') {
                _filter.set(AbstractRefsService.SORT_FIELD, sort);
            }
            var cacheKey = _this.cache.getCacheKey(_this.refName, _filter.toString());
            _this.cache.get(cacheKey)
                .then(resolve)
                .catch(function () {
                _this.httpService
                    .get(url, {
                    search: _filter
                })
                    .map(function (response) { return response.json(); })
                    .map(function (response) { return response.data; })
                    .subscribe(function (data) {
                    var doResolve = function () {
                        resolve(data);
                    };
                    var tags = [_this.refName];
                    data.map(function (v) {
                        if (v && v.guid) {
                            tags.push(v.guid);
                        }
                    });
                    _this.cache.set(cacheKey, data, 0, tags)
                        .then(doResolve)
                        .catch(doResolve);
                }, function (err) {
                    reject(err);
                });
            });
        });
    };
    return AbstractRefsService;
}());
AbstractRefsService.MAX_ITEMS = 1000;
AbstractRefsService.PER_PAGE_FIELD = 'per-page';
AbstractRefsService.PAGE_FIELD = 'page';
AbstractRefsService.SORT_FIELD = 'sort';
AbstractRefsService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
AbstractRefsService.ctorParameters = function () { return [
    { type: HttpService, },
    { type: undefined, decorators: [{ type: _angular_core.Inject, args: ['StorageInterface',] },] },
]; };

/**
 * Сервис для работы с WebScoket-ами
 */
var WebsocketService = (function () {
    function WebsocketService() {
        // Объект канала в который отправляются сообщения из сокета
        this.channel = Rxmq.channel(WebsocketService.CHANNEL_NAME);
        // Время между попытками восстановления соединения
        this.reconnectTimeout = 1000;
        // Признак, установлено ли соединения или нет
        this.isConnected = false;
    }
    /**
     * Устанавливает точку обмена с сервером
     * @param {string} endPoint
     */
    WebsocketService.prototype.setEndPoint = function (endPoint) {
        this.endPoint = endPoint;
    };
    /**
     * Устанавливает время между попытками восстановления соединения
     * @param {number} connectTimeout
     */
    WebsocketService.prototype.setReconnectTimeout = function (connectTimeout) {
        this.reconnectTimeout = connectTimeout;
    };
    /**
     * Отправляет данные в сокет
     * @param {any} data Данные
     */
    WebsocketService.prototype.send = function (data) {
        this.ws.send(JSON.stringify(data));
    };
    /**
     * Подписка на установление соединения
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    WebsocketService.prototype.onOpen = function (then) {
        return this.channel.observe(WebsocketService.SOCKET_OPEN_TOPIC_NAME).subscribe(then);
    };
    /**
     * Подписка на получение сообщения
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    WebsocketService.prototype.onMessage = function (then) {
        return this.channel.observe(WebsocketService.SOCKET_MESSAGE_TOPIC_NAME).subscribe(then);
    };
    /**
     * Подписка на закрытие сокета
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    WebsocketService.prototype.onClose = function (then) {
        return this.channel.observe(WebsocketService.SOCKET_CLOSE_TOPIC_NAME).subscribe(then);
    };
    /**
     * Подписка на ошибки сокета
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    WebsocketService.prototype.onError = function (then) {
        return this.channel.observe(WebsocketService.SOCKET_ERROR_TOPIC_NAME).subscribe(then);
    };
    /**
     * Установить соединение с сервером
     */
    WebsocketService.prototype.connect = function (params) {
        if (!this.isConnected) {
            this.openConnection(params);
            this.isConnected = true;
        }
    };
    /**
     * Закрыть соединение с сервером
     */
    WebsocketService.prototype.disconnect = function () {
        if (this.isConnected) {
            this.ws.close(WebsocketService.SOCKET_CLOSE_NORMAL);
            this.isConnected = false;
        }
    };
    /**
     * Открытие соединения с WebSocket и подписка на события
     */
    WebsocketService.prototype.openConnection = function (params) {
        var _this = this;
        var url = this.endPoint, paramsArray = [];
        for (var pName in params) {
            if (params.hasOwnProperty(pName)) {
                paramsArray.push(pName + '=' + params[pName]);
            }
        }
        if (paramsArray.length > 0) {
            url += '?' + paramsArray.join('&');
        }
        this.ws = new WebSocket(url);
        this.ws.onopen = function (ev) {
            _this.channel.subject(WebsocketService.SOCKET_OPEN_TOPIC_NAME).next(ev);
        };
        this.ws.onmessage = function (response) {
            var data = JSON.parse(response.data) || {};
            _this.channel.subject(WebsocketService.SOCKET_MESSAGE_TOPIC_NAME).next(data);
        };
        this.ws.onerror = function (err) {
            _this.channel.subject(WebsocketService.SOCKET_ERROR_TOPIC_NAME).next(err);
            _this.ws.close(WebsocketService.SOCKET_CLOSE_ABNORMAL);
        };
        this.ws.onclose = function (ev) {
            _this.channel.subject(WebsocketService.SOCKET_CLOSE_TOPIC_NAME).next(ev);
            if (ev.code !== WebsocketService.SOCKET_CLOSE_NORMAL) {
                setTimeout(function () {
                    _this.openConnection(params);
                }, _this.reconnectTimeout);
            }
        };
    };
    return WebsocketService;
}());
// Имя канала
WebsocketService.CHANNEL_NAME = 'ws';
// Сообщения о открытии сокета
WebsocketService.SOCKET_OPEN_TOPIC_NAME = 'socket_open';
// Сообщения о поступлении сообщения в сокет
WebsocketService.SOCKET_MESSAGE_TOPIC_NAME = 'socket_message';
// Сообщения о закрытии сокета
WebsocketService.SOCKET_CLOSE_TOPIC_NAME = 'socket_close';
// Сообщения о ошибке в сокете
WebsocketService.SOCKET_ERROR_TOPIC_NAME = 'socket_error';
// Код нормального закрытия сокета (без дальнейшей попытки переустановки соединения)
WebsocketService.SOCKET_CLOSE_NORMAL = 1000;
// Код ненормального закрытия сокета (после такого закрытия будут предприняты попытки по переустановке соединения)
WebsocketService.SOCKET_CLOSE_ABNORMAL = 3000;
WebsocketService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
WebsocketService.ctorParameters = function () { return []; };

var HelperService = (function () {
    function HelperService(currentUser) {
        this.currentUser = currentUser;
    }
    /**
     * Plural forms
     *
     * Use:
     *
     * declOfNum(count, ['найдена', 'найдено', 'найдены']);
     *
     * @see https://gist.github.com/realmyst/1262561#gistcomment-2032406
     *
     * @param n
     * @param titles
     * @returns {string}
     */
    HelperService.prototype.declOfNum = function (n, titles) {
        var cases = [2, 0, 1, 1, 1, 2];
        return titles[(n % 100 > 4 && n % 100 < 20) ? 2 : cases[(n % 10 < 5) ? n % 10 : 5]];
    };
    /**
     * Возвращает выделенный текст
     *
     * @returns {string}
     */
    HelperService.prototype.getSelectedText = function () {
        var result = "";
        if (window.getSelection) {
            result = window.getSelection().toString();
        }
        return result;
    };
    /**
     * Форматирует телефонный номер
     * @param prefix Префикс
     * @param phone Номер телефона
     * @returns {string}
     */
    HelperService.prototype.maskPhone = function (prefix, phone) {
        return prefix + ' ' +
            phone.substr(0, 3) + ' ' +
            phone.substr(3, 3) + '-' +
            phone.substr(6, 2) + '-' +
            phone.substr(8, 2);
    };
    /**
     * Возвращает количество опубликованных объявлений риелтором в текущем городе
     * @param {RealtorModel} realtorInfo Модель риелтора
     * @returns {Number}
     */
    HelperService.prototype.getPublishedRealty = function (realtorInfo) {
        var realtyInfo = this.getRealtyInfo(realtorInfo);
        return realtyInfo.hasOwnProperty('published') ? Number(realtyInfo['published']) : 0;
    };
    /**
     * Возвращает количество опубликованных эксклюзивных объявлений риелтором в текущем городе
     * @param {RealtorModel} realtorInfo Модель риелтора
     * @returns {Number}
     */
    HelperService.prototype.getExclusiveRealty = function (realtorInfo) {
        var realtyInfo = this.getRealtyInfo(realtorInfo);
        return realtyInfo.hasOwnProperty('exclusive') ? Number(realtyInfo['exclusive']) : 0;
    };
    /**
     * Возвращает информацию о количестве объявлений риелтора в текущем городе
     * @param {RealtorModel} realtorInfo Модель риелтора
     * @returns {{}}
     */
    HelperService.prototype.getRealtyInfo = function (realtorInfo) {
        var userInfo = this.currentUser.getInfo(), sessionInfo = userInfo ? userInfo.session : null, geoGuid = sessionInfo ? sessionInfo.geo_guid : '';
        return realtorInfo.realty_count && realtorInfo.realty_count.hasOwnProperty(geoGuid) ? realtorInfo.realty_count[geoGuid] : {};
    };
    return HelperService;
}());
HelperService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
HelperService.ctorParameters = function () { return [
    { type: CurrentUserService, },
]; };

var CommonModule = (function () {
    function CommonModule() {
    }
    return CommonModule;
}());
CommonModule.decorators = [
    { type: _angular_core.NgModule, args: [{
                declarations: [],
                imports: [
                    _angular_http.HttpModule
                ],
                providers: [
                    WebsocketService,
                    HttpErrorService,
                    HelperService,
                    ngxCookieService.CookieService,
                    {
                        provide: HttpService,
                        useFactory: httpFactory,
                        deps: [_angular_core.Injector, _angular_http.XHRBackend, _angular_http.RequestOptions]
                    }
                ]
            },] },
];
/** @nocollapse */
CommonModule.ctorParameters = function () { return []; };

var RealtorModel = (function () {
    function RealtorModel() {
        this.guid = '';
        this.firstname = '';
        this.lastname = '';
        this.email = '';
        this.experience = 0;
        this.avatar_guid = '';
        this.geo_guid = '';
        this.description = '';
        this.is_online = false;
        this.phones = [];
        this.specializations = [];
        this.districts = [];
        this.is_agency = false;
        this.agency_position = '';
        this.agency_title = '';
        this.can_work_other_city = false;
        this.birthday = 0;
        this.site_url = '';
        this.socials = [];
        // Ранг на английском
        this.rank = '';
        // Ранг на русском
        this.rank_title = '';
        // Информация для покупателя
        this.customer_info = '';
        // На модерации
        this.on_moderate = false;
    }
    return RealtorModel;
}());

var __extends$2 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var CurrentUserInfoModel = (function (_super) {
    __extends$2(CurrentUserInfoModel, _super);
    function CurrentUserInfoModel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return CurrentUserInfoModel;
}(RealtorModel));

var __extends$3 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Динамический справочник.
 *
 * Используется для простых операций с однотипными справочниками. Получать экземпляр сервиса удобно через
 * сервис DynamicRefsFactoryService:
 *
 * @Component({
 *  providers: [DynamicRefsFactoryService]
 * })
 * export class MyComponent {
 *  constructor(private refsFactory: DynamicRefsFactoryService) {}
 *
 *  onInit() {
 *    this.refsFactory.getInstance('geo').getAll({page: 1}).then((response) => {
 *      // process response
 *    }).catch((err) => {
 *      // process error
 *    });
 *  }
 * }
 *
 * Данный сервис нельзя получить через Injector.
 *
 * @see DynamicRefsBuilderService
 */
var DynamicRefsService = (function (_super) {
    __extends$3(DynamicRefsService, _super);
    function DynamicRefsService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return DynamicRefsService;
}(AbstractRefsService));

/**
 * Сервис строителя динамических справочников.
 */
var DynamicRefsBuilderService = (function () {
    function DynamicRefsBuilderService(httpService, cache) {
        this.httpService = httpService;
        this.cache = cache;
        /**
         * Хранит список инстансов сервисов динамических справочников
         *
         * @type {{}}
         */
        this.services = {};
    }
    /**
     * Устновка end point для справочников
     *
     * @param _refsEndPoint
     */
    DynamicRefsBuilderService.prototype.setRefsEndPoint = function (_refsEndPoint) {
        this.refsEndPoint = _refsEndPoint;
    };
    /**
     * Получить экземпляр динамического сервиса справочников.
     *
     * @param name имя справочника, например geo, spec
     * @returns {DynamicRefsService} экземпляр сервиса DynamicRefsService с инициализированными refName и endPoint
     */
    DynamicRefsBuilderService.prototype.getInstance = function (name) {
        if (!this.services.hasOwnProperty(name)) {
            var refService = new DynamicRefsService(this.httpService, this.cache);
            refService.refName = name;
            refService.setRefsEndPoint(this.refsEndPoint);
            this.services[name] = refService;
        }
        return this.services[name];
    };
    return DynamicRefsBuilderService;
}());
DynamicRefsBuilderService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
DynamicRefsBuilderService.ctorParameters = function () { return [
    { type: HttpService, },
    { type: undefined, decorators: [{ type: _angular_core.Inject, args: ['StorageInterface',] },] },
]; };

var ExternalResourceService = (function () {
    function ExternalResourceService() {
        /**
         * Список уже загруженных на страницу скриптов
         *
         * @type {Array}
         */
        this.loadedScripts = [];
        /**
         * Список уже загруженных на страницу стилей
         *
         * @type {Array}
         */
        this.loadedStyles = [];
        /**
         * Список уже загруженных изображений
         *
         * @type {Array}
         */
        this.loadedImages = [];
    }
    /**
     * Загрузка сразу нескольких стилей
     *
     * @param styles
     * @returns {Promise<any>}
     */
    ExternalResourceService.prototype.loadStyles = function (styles) {
        var _this = this;
        return Promise.all(styles.map(function (style) {
            return _this.loadStyle(style.href, style.optionalAttributes || {});
        }));
    };
    /**
     * Загрузка сразу нескольких скриптов
     *
     * @param scripts
     * @returns {Promise<any[]>}
     */
    ExternalResourceService.prototype.loadScripts = function (scripts) {
        var _this = this;
        return Promise.all(scripts.map(function (script) {
            return _this.loadScript(script.src, script.optionalAttributes || {});
        }));
    };
    /**
     * Загрузка сразу нескольких изображений
     *
     * @param images
     * @returns {Promise<any[]>}
     */
    ExternalResourceService.prototype.loadImages = function (images) {
        var _this = this;
        return Promise.all(images.map(function (image) {
            return _this.loadImage(image.src, image.optionalAttributes || {});
        }));
    };
    /**
     * Загрузка внешнего CSS-файла. Вернет promise в случае успеха загрузки файла, будет вызван resolve(), иначе reject()
     *
     * @param href
     * @param optionalAttributes
     * @returns {Promise<any>}
     */
    ExternalResourceService.prototype.loadStyle = function (href, optionalAttributes) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            if (_this.loadedStyles.indexOf(href) !== -1) {
                resolve();
            }
            else {
                var link = document.createElement('link');
                var attributes = Object.assign(ExternalResourceService.defaultStyleAttributes, optionalAttributes || {});
                for (var name_1 in attributes) {
                    link.setAttribute(name_1, attributes[name_1]);
                }
                link.href = href;
                link.onload = function () {
                    _this.loadedStyles.push(href);
                    resolve();
                };
                link.onerror = reject;
                document.head.appendChild(link);
            }
        });
    };
    /**
     * Загрузка внешнего JS-файла. Вернет promise в случае успеха загрузки файла, будет вызван resolve(), иначе reject()
     *
     * @param src
     * @param optionalAttributes
     * @returns {Promise<any>}
     */
    ExternalResourceService.prototype.loadScript = function (src, optionalAttributes) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            if (_this.loadedScripts.indexOf(src) !== -1) {
                resolve();
            }
            else {
                var script = document.createElement('script');
                var attributes = Object.assign(ExternalResourceService.defaultScriptAttributes, optionalAttributes || {});
                for (var name_2 in attributes) {
                    script.setAttribute(name_2, attributes[name_2]);
                }
                script.src = src;
                script.onload = function () {
                    _this.loadedScripts.push(src);
                    resolve();
                };
                script.onerror = reject;
                document.body.appendChild(script);
            }
        });
    };
    /**
     * Загрузка изображения. Вернет promise в случае успеха загрузки файла, будет вызван resolve(), иначе reject()
     *
     * @param src
     * @param optionalAttributes
     * @returns {Promise<any>}
     */
    ExternalResourceService.prototype.loadImage = function (src, optionalAttributes) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            if (_this.loadedImages.indexOf(src) !== -1) {
                resolve();
            }
            else {
                var image = new Image();
                var attributes = optionalAttributes || {};
                for (var name_3 in attributes) {
                    image.setAttribute(name_3, attributes[name_3]);
                }
                image.onload = function () {
                    _this.loadedImages.push(src);
                    resolve();
                };
                image.onerror = reject;
                image.src = src;
            }
        });
    };
    return ExternalResourceService;
}());
ExternalResourceService.defaultStyleAttributes = {
    type: 'text/css',
    rel: 'stylesheet'
};
ExternalResourceService.defaultScriptAttributes = {
    type: 'text/javascript'
};
ExternalResourceService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
ExternalResourceService.ctorParameters = function () { return []; };

var __extends$5 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var TreeRefModel = (function (_super) {
    __extends$5(TreeRefModel, _super);
    function TreeRefModel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return TreeRefModel;
}(AbstractRefModel));

var __extends$4 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var GeoModel = (function (_super) {
    __extends$4(GeoModel, _super);
    function GeoModel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return GeoModel;
}(TreeRefModel));

var __extends$6 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Сервис для работы с географическими данными
 */
var GeoService = (function (_super) {
    __extends$6(GeoService, _super);
    function GeoService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.refName = 'geo';
        return _this;
    }
    /**
     * Возвращает все страны
     * @returns {Promise<GeoModel[]>}
     */
    GeoService.prototype.getAllCountries = function () {
        return this.getListAll({ level: 1 }, 'sorder,title');
    };
    /**
     * Возвращает все города в указанной стране
     * @param countryGuid Идентификатор страны
     * @returns {Promise<GeoModel[]>}
     */
    GeoService.prototype.getAllCities = function (countryGuid) {
        return this.getListAll({ level: 2, pid: countryGuid }, 'sorder,title');
    };
    /**
     * Возвращает все районы в указанном городе
     * @param cityGuid Идентификатор города
     * @returns {Promise<GeoModel[]>}
     */
    GeoService.prototype.getAllDistricts = function (cityGuid) {
        return this.getListAll({ level: 3, pid: cityGuid }, 'sorder,title');
    };
    /**
     * Возвращает страны по указанным параметрам
     * @param params Параметры для загрузки
     * @returns {Promise<ResponseListModel<GeoModel>>}
     */
    GeoService.prototype.getCountries = function (params) {
        params = params || {};
        params.level = 1;
        params[GeoService.SORT_FIELD] = 'sorder,title';
        return this.getList(params);
    };
    /**
     * Возвращает города страны по указанным параметрам
     * @param countryGuid Идентификатор страны
     * @param params Параметры для загрузки
     * @returns {Promise<ResponseListModel<GeoModel>>}
     */
    GeoService.prototype.getCities = function (countryGuid, params) {
        params = params || {};
        params.level = 2;
        params.pid = countryGuid;
        params[GeoService.SORT_FIELD] = 'sorder,title';
        return this.getList(params);
    };
    /**
     * Возвращает районы города по указанным параметрам
     * @param cityGuid Идентификатор города
     * @param params Параметры для загрузки
     * @returns {Promise<ResponseListModel<any>>}
     */
    GeoService.prototype.getDistricts = function (cityGuid, params) {
        params = params || {};
        params.level = 3;
        params.pid = cityGuid;
        params[GeoService.SORT_FIELD] = 'sorder,title';
        return this.getList(params);
    };
    /**
     * Возвращает информацию о городе по его идентификатору
     * @param guid Идентификатор города
     * @returns {Promise<GeoModel>}
     */
    GeoService.prototype.getCity = function (guid) {
        return this.getOne(guid);
    };
    /**
     * Возвращает все записи из дерева на шаг выше
     * @param guid
     * @param params
     * @returns {Promise<any>}
     */
    GeoService.prototype.getTreeUp = function (guid, params) {
        return this.treeUp(guid, params);
    };
    /**
     * Возвращает все записи из дерева на шаг ниже
     * @param guid
     * @param params
     * @returns {Promise<any>}
     */
    GeoService.prototype.getTreeDown = function (guid, params) {
        return this.treeDown(guid, params);
    };
    /**
     * Возвращает информацию о стране по ее идентификатору
     * @param {string} guid Идентификатор страны
     * @returns {Promise<GeoModel>}
     */
    GeoService.prototype.getCountry = function (guid) {
        return this.getOne(guid);
    };
    /**
     * Загружает весь справочник
     * @param params
     * @param sort
     * @returns {Promise<T>}
     */
    GeoService.prototype.getListAll = function (params, sort) {
        if (sort === void 0) { sort = ''; }
        params = params || {};
        params.visible = true;
        return _super.prototype.getListAll.call(this, params, sort);
    };
    /**
     * Возвращает список только отображаемых объектов
     * @param {any} params Параметры запроса
     * @returns {Promise<ResponseListModel<any>>}
     */
    GeoService.prototype.getList = function (params) {
        params = params || {};
        params.visible = true;
        return _super.prototype.getList.call(this, params);
    };
    /**
     * Возвращает часть дерева от заданного узла до корня
     * @param {string} guid Идентификатор узла
     * @param {any} params Параметры запроса
     * @returns {Promise<any>}
     */
    GeoService.prototype.treeUp = function (guid, params) {
        params = params || {};
        params.visible = true;
        return _super.prototype.treeUp.call(this, guid, params);
    };
    /**
     * Возвращает поддерево, начиная от заданного узла
     * @param {string} guid Идентификатор узла
     * @param {any} params Параметры запроса
     * @returns {Promise<any>}
     */
    GeoService.prototype.treeDown = function (guid, params) {
        params = params || {};
        params.visible = true;
        return _super.prototype.treeDown.call(this, guid, params);
    };
    return GeoService;
}(AbstractRefsService));
GeoService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
GeoService.ctorParameters = function () { return []; };

/**
 * Модель структуры данных для кеширования в хранилищах
 */
var KeyValueCacheStructure = (function () {
    function KeyValueCacheStructure(expiration, _tags, _value) {
        this._expiredAt = 0;
        this._tags = [];
        this._value = null;
        this._hits = 0;
        this.expiredAt = expiration ? (Math.floor((new Date()).getTime()) + expiration) : 0;
        this.tags = _tags || [];
        this.value = _value || null;
        this.hits = 0;
    }
    Object.defineProperty(KeyValueCacheStructure.prototype, "expiredAt", {
        get: function () {
            return this._expiredAt;
        },
        set: function (value) {
            this._expiredAt = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(KeyValueCacheStructure.prototype, "hits", {
        get: function () {
            return this._hits;
        },
        set: function (value) {
            this._hits = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(KeyValueCacheStructure.prototype, "tags", {
        get: function () {
            return this._tags;
        },
        set: function (value) {
            this._tags = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(KeyValueCacheStructure.prototype, "value", {
        get: function () {
            return this._value;
        },
        set: function (value) {
            this._value = value;
        },
        enumerable: true,
        configurable: true
    });
    KeyValueCacheStructure.prototype.serialize = function () {
        var obj = {
            expiredAt: this.expiredAt,
            tags: this.tags,
            value: this.value,
            hits: this.hits
        };
        return JSON.stringify(obj);
    };
    KeyValueCacheStructure.prototype.isExpired = function () {
        return ((this.expiredAt > 0) && (this.expiredAt > Math.floor((new Date()).getTime())));
    };
    KeyValueCacheStructure.unserialize = function (json) {
        var obj = JSON.parse(json);
        var expiredAt = obj.expiredAt || 0;
        var tags = obj.tags || [];
        var value = obj.value || null;
        var instance = new KeyValueCacheStructure(expiredAt, tags, value);
        instance.hits = obj.hits || 0;
        return instance;
    };
    return KeyValueCacheStructure;
}());

/**
 * Базовый сервис для key-value хранилищ
 */
var AbstractKeyValueStorage = (function () {
    function AbstractKeyValueStorage() {
        // Флаг, обозначающий что процесс очистки выполняется
        this.maintenanceProcessing = false;
        // Список ключей которые нельзя удалять при процедуре очистки
        this.maintenanceExceptKeys = [STORAGE_TOKEN_KEY];
    }
    /**
     * Сохранение данных по ключу на указанное время, с учетом переданных тегов.
     *      При ошибке сохранения запускается метод очистки хранилища (т.к. ошибка могла произойти из-за нехватки места)
     *      и после очистки сохранение пытается выполниться еще раз.
     *
     * @param {string} key Ключ, по которому необходимо сохранить данные
     * @param {any} value Данные для сохранения
     * @param {number} expired Количество секунд в течение которых данные будут храниться
     * @param {string[]} tags Массив тегов, которыми необходимо пометить набор данных
     * @returns {Promise<T>}
     */
    AbstractKeyValueStorage.prototype.set = function (key, value, expired, tags) {
        var _this = this;
        var item = new KeyValueCacheStructure(expired, tags, value);
        return new Promise(function (resolve, reject) {
            var res = function () {
                resolve(value);
            };
            _this.setInternal(key, item)
                .then(res)
                .catch(function () {
                _this.maintenance()
                    .then(function () {
                    _this.setInternal(key, item).then(res).catch(reject);
                })
                    .catch(reject);
            });
        });
    };
    /**
     * Получение значения по ключу.
     * Если значение существует, но истек срок его хранения - удаляем эту запись и все с ней связанное из хранилища.
     *
     * @param {string} key Ключ, по которому необходимо получить значение
     * @returns {Promise<T>}
     */
    AbstractKeyValueStorage.prototype.get = function (key) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this._get(_this.prepareKey(key)).then(function (value) {
                try {
                    var item_1 = KeyValueCacheStructure.unserialize(value);
                    if (item_1.isExpired()) {
                        _this.removeInternal(key, item_1.tags).then(reject).catch(reject);
                    }
                    else {
                        item_1.hits = item_1.hits + 1;
                        _this.setInternal(key, item_1).then(function () {
                            resolve(item_1.value || null);
                        }).catch(function () {
                            resolve(item_1.value || null);
                        });
                    }
                }
                catch (err) {
                    reject(err);
                }
            }).catch(reject);
        });
    };
    /**
     * Удаление данных из хранилища по указанному тегу.
     *
     * @param {string} tag Имя тега по которому необходимо удалить данные
     * @returns {Promise<T>}
     */
    AbstractKeyValueStorage.prototype.removeByTag = function (tag) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var depends = [];
            var realTagName = _this.prepareTag(tag);
            _this._get(realTagName).then(function (keysListJson) {
                var keysList = JSON.parse(keysListJson);
                depends = keysList.map(function (keyName) {
                    return new Promise(function (res, rej) {
                        var realKeyName = _this.prepareKey(keyName);
                        _this._get(realKeyName).then(function (value) {
                            var item = KeyValueCacheStructure.unserialize(value);
                            _this.removeInternal(keyName, item.tags).then(res).catch(rej);
                        }).catch(rej);
                    });
                });
                var rmDepends = function () {
                    Promise.all(depends).then(resolve).catch(resolve);
                };
                _this._remove(realTagName).then(rmDepends).catch(rmDepends);
            }).catch(reject);
        });
    };
    /**
     * Удаление данных из хранилища по ключу.
     *
     * @param {string} key Ключ по которым необходимо удалить данные
     * @returns {Promise<T>}
     */
    AbstractKeyValueStorage.prototype.remove = function (key) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var realKeyName = _this.prepareKey(key);
            _this._get(realKeyName).then(function (jsonItem) {
                var item = KeyValueCacheStructure.unserialize(jsonItem);
                _this.removeInternal(key, item.tags).then(resolve).catch(reject);
            }).catch(reject);
        });
    };
    /**
     * Очистка всего хранилища.
     *
     * @returns {Promise<any>}
     */
    AbstractKeyValueStorage.prototype.clear = function () {
        return this._clear();
    };
    /**
     * Очистка неиспользуемых/редко используемых данных, освобождение места.
     *
     * @returns {Promise<any>}
     */
    AbstractKeyValueStorage.prototype.maintenance = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            if (!_this.maintenanceProcessing) {
                _this._getStorageInstance().then(function (storage) {
                    _this.maintenanceProcessing = true;
                    var keys = Object.keys(storage);
                    var CLEAN_RECORDS = Math.floor(keys.length * AbstractKeyValueStorage.CLEAN_RECORDS_PERCENT / 100);
                    var list2Clean = {};
                    var toCleanLength = 0;
                    var minKeyName = '';
                    var minHits = 0;
                    var cleanOnlyEmpty = true;
                    for (var i = 0; i < keys.length; i++) {
                        var keyName = keys[i];
                        if (keyName.indexOf(AbstractKeyValueStorage.DATA_PREFIX) === 0) {
                            var originalName = keyName.substring(AbstractKeyValueStorage.DATA_PREFIX.length), skipKey = (_this.maintenanceExceptKeys.indexOf(originalName) > -1);
                            var jsonInfo = storage.getItem(keyName);
                            if ((jsonInfo !== null) && !skipKey) {
                                var item = KeyValueCacheStructure.unserialize(jsonInfo);
                                if (toCleanLength < CLEAN_RECORDS) {
                                    list2Clean[keyName] = item.hits;
                                    toCleanLength++;
                                    if ((minKeyName == '') || (minHits > item.hits)) {
                                        minKeyName = keyName;
                                        minHits = item.hits;
                                    }
                                    if (item.hits > 0) {
                                        cleanOnlyEmpty = false;
                                    }
                                }
                                else if (cleanOnlyEmpty && (toCleanLength >= CLEAN_RECORDS)) {
                                    break;
                                }
                                else if (item.hits < minHits) {
                                    delete list2Clean[minKeyName];
                                    list2Clean[keyName] = item.hits;
                                    if (item.hits > 0) {
                                        cleanOnlyEmpty = false;
                                    }
                                }
                            }
                        }
                    }
                    var depends = [];
                    for (var kName in list2Clean) {
                        if (list2Clean.hasOwnProperty(kName)) {
                            var name_1 = kName.substring(AbstractKeyValueStorage.DATA_PREFIX.length);
                            depends.push(_this.remove(name_1));
                        }
                    }
                    Promise.all(depends).then(function () {
                        _this.maintenanceProcessing = false;
                        resolve();
                    }).catch(function () {
                        _this.maintenanceProcessing = false;
                        resolve();
                    });
                }).catch(reject);
            }
            else {
                resolve();
            }
        });
    };
    /**
     * Генерирует имя для использования в качестве ключа
     *
     * @param args Аргументы участвующие в формировании ключа
     * @returns {string}
     */
    AbstractKeyValueStorage.prototype.getCacheKey = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var result = JSON.stringify(args);
        return String(tsMd5_dist_md5.Md5.hashStr(result));
    };
    /**
     * Установка значения в хранилище и помечание его тегами
     *
     * @param {string} key Ключ по которому надо сохранить значение
     * @param {KeyValueCacheStructure} item Структура элемента который надо сохранить
     * @returns {Promise<T>}
     */
    AbstractKeyValueStorage.prototype.setInternal = function (key, item) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var depends = item.tags.map(function (tagKey) {
                return new Promise(function (res, rej) {
                    var realTagKey = _this.prepareTag(tagKey);
                    _this._get(realTagKey).then(function (tagValue) {
                        var iTags = JSON.parse(tagValue);
                        var sIndex = iTags.indexOf(key);
                        if (sIndex === -1) {
                            iTags.push(key);
                            _this._set(realTagKey, JSON.stringify(iTags)).then(res).catch(rej);
                        }
                        else {
                            res();
                        }
                    }).catch(function () {
                        _this._set(realTagKey, JSON.stringify([key])).then(res).catch(rej);
                    });
                });
            });
            depends.push(_this._set(_this.prepareKey(key), item.serialize()));
            Promise.all(depends).then(resolve).catch(reject);
        });
    };
    /**
     * Удаление значения по указанному ключу, помеченное переданными тегами.
     *      Удаляется ключ с его значением, из тегов которыми он был помечен удаляется этот ключ
     *          (если тег после удаления ключа становится пустым - он удаляется также)
     *
     * @param {string} key Ключ по которому надо удалить данные
     * @param {string[]} tags Массив тегов которыми помечена удаляемая запись
     * @returns {Promise<T>}
     */
    AbstractKeyValueStorage.prototype.removeInternal = function (key, tags) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var depends = tags.map(function (tagKey) {
                return new Promise(function (res, rej) {
                    tagKey = _this.prepareTag(tagKey);
                    _this._get(tagKey)
                        .then(function (tagValue) {
                        var iTags = JSON.parse(tagValue);
                        var sIndex = iTags.indexOf(key);
                        if (sIndex > -1) {
                            iTags.splice(sIndex, 1);
                            if (iTags.length > 0) {
                                _this._set(tagKey, JSON.stringify(iTags)).then(res).catch(rej);
                            }
                            else {
                                _this._remove(tagKey).then(res).catch(rej);
                            }
                        }
                        else {
                            rej();
                        }
                    })
                        .catch(rej);
                });
            });
            depends.push(_this._remove(_this.prepareKey(key)));
            Promise.all(depends).then(resolve).catch(reject);
        });
    };
    /**
     * Формирует имя тега для сохранения в хранилище
     *
     * @param {string} tag Оригинальное имя тега (которое указал программист)
     * @returns {string}
     */
    AbstractKeyValueStorage.prototype.prepareTag = function (tag) {
        return AbstractKeyValueStorage.TAGS_PREFIX + tag.trim().toLowerCase();
    };
    
    /**
     * Формирует имя ключа для сохранения в хранилище
     *
     * @param {string} key Оригинальное имя ключа (которое указал программист)
     * @returns {string}
     */
    AbstractKeyValueStorage.prototype.prepareKey = function (key) {
        return AbstractKeyValueStorage.DATA_PREFIX + key.trim().toLowerCase();
    };
    return AbstractKeyValueStorage;
}());
// Количество наименее редко используемых записей (в процентах) которые будут удалены при очередной очистке
AbstractKeyValueStorage.CLEAN_RECORDS_PERCENT = 30;
// Префикс ключей при хранении тегов
AbstractKeyValueStorage.TAGS_PREFIX = 'T_';
// Префикс ключей при хранении данных
AbstractKeyValueStorage.DATA_PREFIX = 'D_';
AbstractKeyValueStorage.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
AbstractKeyValueStorage.ctorParameters = function () { return []; };

var __extends$7 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Сервис для работы с localStorage
 */
var LocalStorageService = (function (_super) {
    __extends$7(LocalStorageService, _super);
    function LocalStorageService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Установка значения по ключу
     * @param {string} key Ключ, по которому необходимо сохранить данные
     * @param {any} value Данные для сохранения
     * @returns {Promise<T>}
     * @protected
     */
    LocalStorageService.prototype._set = function (key, value) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            try {
                _this._getStorageInstance()
                    .then(function (storage) {
                    storage.setItem(key, value);
                    resolve();
                })
                    .catch(reject);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    /**
     * Получение значения по ключу
     * @param {string} key Ключ, по которому необходимо получить значение
     * @returns {Promise<T>}
     * @protected
     */
    LocalStorageService.prototype._get = function (key) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            try {
                _this._getStorageInstance()
                    .then(function (storage) {
                    var value = storage.getItem(key);
                    (value === null) ? reject() : resolve(value);
                })
                    .catch(reject);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    /**
     * Удаление значения по ключу
     * @param {string} key Ключ по которым необходимо удалить данные
     * @returns {Promise<T>}
     * @protected
     */
    LocalStorageService.prototype._remove = function (key) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            try {
                _this._getStorageInstance()
                    .then(function (storage) {
                    storage.removeItem(key);
                    resolve();
                })
                    .catch(reject);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    /**
     * Полная очистка хранилища
     * @returns {Promise<T>}
     * @protected
     */
    LocalStorageService.prototype._clear = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            try {
                _this._getStorageInstance()
                    .then(function (storage) {
                    storage.clear();
                    resolve();
                })
                    .catch(reject);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    /**
     * Возвращает экземпляр хранилища
     * @returns {Promise<T>}
     * @protected
     */
    LocalStorageService.prototype._getStorageInstance = function () {
        return new Promise(function (resolve, reject) {
            try {
                resolve(localStorage);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    return LocalStorageService;
}(AbstractKeyValueStorage));
LocalStorageService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
LocalStorageService.ctorParameters = function () { return []; };

var PhoneModel = (function () {
    function PhoneModel() {
        this.is_primary = false;
    }
    return PhoneModel;
}());

var SocialModel = (function () {
    function SocialModel() {
    }
    return SocialModel;
}());

var ResponseListModel = (function () {
    function ResponseListModel() {
    }
    return ResponseListModel;
}());

var __extends$8 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// URL's для работы.
/** GW для работы с риэлторами */
// @dynamic
var RealtorsUrls = (function (_super) {
    __extends$8(RealtorsUrls, _super);
    function RealtorsUrls() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(RealtorsUrls, "baseUrl", {
        // Базовый URL
        get: function () {
            return RealtorsUrls.endPoint + "/realtors";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtorsUrls, "list", {
        // Список рилеторов
        get: function () {
            return "" + RealtorsUrls.baseUrl;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtorsUrls, "search", {
        // Поиск риелторов
        get: function () {
            return RealtorsUrls.baseUrl + "/search";
        },
        enumerable: true,
        configurable: true
    });
    return RealtorsUrls;
}(BasicUrls));

/**
 * Сервис риэлтеров
 */
var RealtorsService = (function () {
    function RealtorsService(httpService) {
        this.httpService = httpService;
    }
    /**
     * Поиск риэлтеров
     *
     * @param query строка поиска
     * @param params дополнительные параметры для запроса
     */
    RealtorsService.prototype.search = function (query, params) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var options = { search: new _angular_http.URLSearchParams() };
            Object.keys(params).forEach(function (key) {
                options.search.set(key, params[key]);
            });
            options.search.set('query', query);
            _this.httpService.get(RealtorsUrls.search, options)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получить список всех риелторов пользователя
     *
     * @param userGuid
     * @returns {Promise<T>}
     */
    RealtorsService.prototype.getPartners = function (userGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/' + userGuid + '/partners';
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Добавить избранных риелторов пользователю
     *
     * @param userGuid
     * @param realtorsGuids
     * @returns {Promise<T>}
     */
    RealtorsService.prototype.addPartners = function (userGuid, realtorsGuids) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/' + userGuid + '/partners';
            _this.httpService.put(url, realtorsGuids)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Установить избранных риелторов пользователю
     *
     * @param userGuid
     * @param realtors
     * @returns {Promise<T>}
     */
    RealtorsService.prototype.setPartners = function (userGuid, realtors) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/' + userGuid + '/partners';
            _this.httpService.post(url, realtors)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Удалить избранных риелторов
     *
     * @param userGuid
     * @param realtorGuid
     * @returns {Promise<T>}
     */
    RealtorsService.prototype.deletePartner = function (userGuid, realtorGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + 'users/' + userGuid + '/partner/' + realtorGuid;
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Фильтр по риелторам
     *
     * @returns {Promise<T>}
     * @param body
     * @param query
     */
    RealtorsService.prototype.filter = function (body, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var search = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    search.set(key, query[key]);
                }
            }
            _this.httpService.post(RealtorsUrls.list, body, { search: search })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Фильтр по риелторам
     * @returns {Promise<ResponseListModel<RealtorModel>>}
     * @param body
     * @param query
     */
    RealtorsService.prototype.filterMembers = function (body, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + "users/filter-members";
            var search = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    search.set(key, query[key]);
                }
            }
            _this.httpService.post(url, body, { search: search })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получает информацию о риелторе по его идентификатору
     * @param {string} guid Идентификатор риелтора
     * @returns {Promise<T>}
     */
    RealtorsService.prototype.load = function (guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + "users/" + guid;
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение моделей пользователей по массиву идентификаторов
     * @param {string[]} guids Массив идентификаторов
     * @returns {Promise<any>}
     */
    RealtorsService.prototype.getUsersByGuids = function (guids) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.usersEndPoint + "users/get-by-guids";
            _this.httpService.post(url, guids)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Установка URL до сервиса users
     *
     * @param usersEndPoint
     */
    RealtorsService.prototype.setUsersEndPoint = function (usersEndPoint) {
        this.usersEndPoint = usersEndPoint;
    };
    return RealtorsService;
}());
RealtorsService.ESB_REALTORS_CHANNEL_NAME = 'realtors';
RealtorsService.ESB_REALTORS_SHOW_INFO = 'info.show';
RealtorsService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
RealtorsService.ctorParameters = function () { return [
    { type: HttpService, },
]; };

var __extends$9 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/** GW для работы с объявлениями */
// @dynamic
var RealtyUrls = (function (_super) {
    __extends$9(RealtyUrls, _super);
    function RealtyUrls() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(RealtyUrls, "baseUrl", {
        /** Базовый URL */
        get: function () {
            return RealtyUrls.endPoint + "/realty";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "filter", {
        /** Список объявлений */
        get: function () {
            return RealtyUrls.baseUrl + "/filter";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "favorites", {
        /** Список избранных объявлений */
        get: function () {
            return RealtyUrls.baseUrl + "/favorites";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "myList", {
        /** Список моих объявлений */
        get: function () {
            return RealtyUrls.baseUrl + "/get-my-realty";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "getFiltersFullMeta", {
        // Список всех динамических фильтров объявлений
        get: function () {
            return RealtyUrls.endPoint + "/realty-filter/full-meta-info";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "metaFull", {
        // Метадата по объявлениям
        get: function () {
            return RealtyUrls.endPoint + "/realty-form/full";
        },
        enumerable: true,
        configurable: true
    });
    /**
     * Создание объявления
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     */
    RealtyUrls.create = function (actionGuid, entityGuid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid;
    };
    /**
     * Редактирование объявления
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     * @param realtyGuid Идентификатор объявления
     */
    RealtyUrls.update = function (actionGuid, entityGuid, realtyGuid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + realtyGuid;
    };
    /**
     * Публикация объявления текущего пользователя
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     * @param realtyGuid Идентификатор объявления
     */
    RealtyUrls.publish = function (actionGuid, entityGuid, realtyGuid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + realtyGuid + "/publish";
    };
    /**
     * Удаление объявления текущего пользователя
     * @param actionGuid Идентификатор действия над объявления
     * @param entityGuid Идентификатор типа недвижимости объявления
     * @param realtyGuid Идентификатор объявления
     */
    RealtyUrls.remove = function (actionGuid, entityGuid, realtyGuid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + realtyGuid;
    };
    /**
     * Добавление/удаление из избранного
     * @param realtyGuid GUID объявления
     */
    RealtyUrls.favorite = function (realtyGuid) {
        return RealtyUrls.baseUrl + "/" + realtyGuid + "/favorites";
    };
    /**
     * Подробная информация об объявлении
     * @param realtyGuid GUID объявления
     */
    RealtyUrls.about = function (realtyGuid) {
        return RealtyUrls.baseUrl + "/" + realtyGuid;
    };
    Object.defineProperty(RealtyUrls, "getFormLastModified", {
        // Изменение справочников для формы создания/редактирования
        get: function () {
            return RealtyUrls.endPoint + "/realty-form/last-modified";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RealtyUrls, "getByGuids", {
        // Получение объявлений по гуидам
        get: function () {
            return RealtyUrls.endPoint + "/get-by-guids";
        },
        enumerable: true,
        configurable: true
    });
    // Публикация объявления на продающем сайте
    RealtyUrls.salePublish = function (actionGuid, entityGuid, guid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + guid + "/sale-publish";
    };
    // Снятие публикации объявления на продающем сайте
    RealtyUrls.saleUnPublish = function (actionGuid, entityGuid, guid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + guid + "/sale-unpublish";
    };
    // Отмена модерации объявления на продающем сайте
    RealtyUrls.cancelSaleModeration = function (actionGuid, entityGuid, guid) {
        return RealtyUrls.baseUrl + "/" + actionGuid + "/" + entityGuid + "/" + guid + "/sale-cancel";
    };
    return RealtyUrls;
}(BasicUrls));

// Services
// Urls
// Libs
var RealtyService = (function () {
    function RealtyService(httpService, currentUser, cache) {
        var _this = this;
        this.httpService = httpService;
        this.currentUser = currentUser;
        this.cache = cache;
        this.realtyChannel = Rxmq.channel(RealtyService.ESB_REALTY_CHANNEL_NAME);
        this.currentUser.onGeoChange(function (geo) {
            geo = geo || {};
            _this.cache.removeByTag(geo.oldGeoGuid || '');
        });
    }
    RealtyService.prototype.getAllFormMetadata = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var globalCacheKey = _this.cache.getCacheKey(RealtyService.FULL_FORM_METADATA_KEY);
            _this.cache.get(globalCacheKey)
                .then(function (data) {
                resolve(data);
            })
                .catch(function () {
                var url = RealtyUrls.metaFull;
                _this.httpService.get(url)
                    .map(function (response) { return response.json(); })
                    .map(function (response) { return response.data; })
                    .subscribe(function (data) {
                    var allTagsObject = {}, depends = [], el, tags, cacheKey;
                    for (var i = 0; i < data.length; i++) {
                        el = data[i];
                        tags = [el.action_guid, el.entity_guid, el.action_guid + '_' + el.entity_guid, _this.currentUser.getInfo().session.geo_guid];
                        cacheKey = _this.cache.getCacheKey(el.action_guid, el.entity_guid);
                        for (var i_1 = 0; i_1 < tags.length; i_1++) {
                            if (!allTagsObject.hasOwnProperty(tags[i_1])) {
                                allTagsObject[tags[i_1]] = true;
                            }
                        }
                        depends.push(_this.cache.set(cacheKey, el.meta, 0, tags));
                    }
                    var allTags = Object.keys(allTagsObject);
                    allTags.push(_this.currentUser.getInfo().session.geo_guid);
                    depends.push(_this.cache.set(globalCacheKey, data, 0, allTags));
                    Promise.all(depends)
                        .then(function () {
                        resolve(data);
                    })
                        .catch(function (err) {
                        reject(err);
                    });
                }, reject);
            });
        });
    };
    /**
     * Получить метаданные для формы фильтрации объявлений
     *
     * @param actionGuid тип действия/сделки (куплю, продам, сниму и сдам)
     */
    RealtyService.prototype.getFilterMetaData = function (sessionGeoGuid) {
        var _this = this;
        var params = { currentUserSessionGeoGuid: sessionGeoGuid };
        var url = RealtyUrls.getFiltersFullMeta;
        return new Promise(function (resolve, reject) {
            _this.httpService.post(url, params)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                resolve(data);
            }, reject);
        });
    };
    /**
     * Создать объявление
     *
     * @param {string} actionGuid тип сделки
     * @param {string} entityGuid тип объекта недвижимости
     * @param data данные для сохранения
     * @returns {Promise<any>}
     */
    RealtyService.prototype.create = function (action, entity, data) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.create(action, entity);
            _this.httpService.post(url, data)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Обновить объявление
     * @param {string} actionGuid Тип сделки
     * @param {string} entityGuid Тип объекта недвижимости
     * @param {string} guid Идентификатор объявления
     * @param data Данные объявления
     * @returns {Promise<any>}
     */
    RealtyService.prototype.update = function (action, entity, guid, data) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.update(action, entity, guid);
            _this.httpService.post(url, data)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Возвращает список объявлений
     * @param body Тело запроса (@todo: разработать формат для передачи фильтров и передавать эту модель)
     * @param query Параметры запроса
     * @returns {Promise<ResponseListModel<any>>}
     */
    RealtyService.prototype.filter = function (body, query) {
        return this.loadList(RealtyUrls.filter, body, query);
    };
    /**
     * Возвращает список объявлений пользователя
     * @param body Тело запроса (@todo: разработать формат для передачи фильтров и передавать эту модель)
     * @param query Параметры запроса
     * @returns {Promise<ResponseListModel<any>>}
     */
    RealtyService.prototype.getMyRealty = function (body, query) {
        return this.loadList(RealtyUrls.myList, body, query);
    };
    /**
     * Возвращает список объявлений добавленных текущим пользователем в избранное
     * @param body Тело запроса (@todo: разработать формат для передачи фильтров и передавать эту модель)
     * @param query Параметры запроса
     * @returns {Promise<ResponseListModel<any>>}
     */
    RealtyService.prototype.getFavoritesRealty = function (body, query) {
        return this.loadList(RealtyUrls.favorites, body, query);
    };
    /**
     * Публикует объявление
     * @param actionGuid Идентификатор действия
     * @param entityGuid Идентификатор типа недвижимости
     * @param guid Идентификатор объявления
     */
    RealtyService.prototype.publish = function (actionGuid, entityGuid, guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.publish(actionGuid, entityGuid, guid);
            _this.httpService.put(url, {})
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                _this.realtyChannel.subject(RealtyService.ESB_REALTY_PUBLISHED_CHANGE).next({
                    actionGuid: actionGuid,
                    entityGuid: entityGuid,
                    guid: guid,
                    state: true
                });
                resolve(data);
            }, reject);
        });
    };
    /**
     * Снимает объявление с публикации
     * @param actionGuid Идентификатор действия
     * @param entityGuid Идентификатор типа недвижимости
     * @param guid Идентификатор объявления
     */
    RealtyService.prototype.unPublish = function (actionGuid, entityGuid, guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.publish(actionGuid, entityGuid, guid);
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                _this.realtyChannel.subject(RealtyService.ESB_REALTY_PUBLISHED_CHANGE).next({
                    actionGuid: actionGuid,
                    entityGuid: entityGuid,
                    guid: guid,
                    state: false
                });
                resolve(data);
            }, reject);
        });
    };
    /**
     * Добавляет подписчика на публикацию/снятие с публикации объявления
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    RealtyService.prototype.onPublishedChange = function (then) {
        return this.realtyChannel.observe(RealtyService.ESB_REALTY_PUBLISHED_CHANGE).subscribe(then);
    };
    RealtyService.prototype.onSalePublishedChange = function (then) {
        return this.realtyChannel.observe(RealtyService.ESB_REALTY_SALE_PUBLISHED_CHANGE).subscribe(then);
    };
    /**
     * Удаляет объявление
     * @param actionGuid Идентификатор действия
     * @param entityGuid Идентификатор типа недвижимости
     * @param guid Идентификатор объявления
     */
    RealtyService.prototype.remove = function (actionGuid, entityGuid, guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.remove(actionGuid, entityGuid, guid);
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                _this.realtyChannel.subject(RealtyService.ESB_REALTY_REMOVE).next({
                    actionGuid: actionGuid,
                    entityGuid: entityGuid,
                    guid: guid
                });
                resolve(data);
            }, reject);
        });
    };
    /**
     * Добавляет подписчика на удаление объявления
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    RealtyService.prototype.onRemove = function (then) {
        return this.realtyChannel.observe(RealtyService.ESB_REALTY_REMOVE).subscribe(then);
    };
    /**
     * Добавляет объявление в избранное текущего пользователя
     *
     * @param {string} realtyGuid Идентификатор объявления
     * @returns {Promise<ResponseListModel<any>>}
     */
    RealtyService.prototype.addRealtyToFavorite = function (realtyGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.favorite(realtyGuid);
            _this.httpService.post(url, null)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                _this.realtyChannel.subject(RealtyService.ESB_REALTY_FAVORITES_CHANGE).next({
                    guid: realtyGuid,
                    state: true
                });
                resolve(data);
            }, reject);
        });
    };
    /**
     * Удалляет объявление из избранного текущего пользователя
     *
     * @param {string} realtyGuid Идентификатор объявления
     * @returns {Promise<ResponseListModel<any>>}
     */
    RealtyService.prototype.removeRealtyFromFavorite = function (realtyGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.favorite(realtyGuid);
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                _this.realtyChannel.subject(RealtyService.ESB_REALTY_FAVORITES_CHANGE).next({
                    guid: realtyGuid,
                    state: false
                });
                resolve(data);
            }, reject);
        });
    };
    /**
     * Добавляет подписчика на добавление/удаление объявления из избранного
     * @param {Function} then Функция-подписчик
     * @returns {Subscription}
     */
    RealtyService.prototype.onFavoriteChange = function (then) {
        return this.realtyChannel.observe(RealtyService.ESB_REALTY_FAVORITES_CHANGE).subscribe(then);
    };
    /**
     * Возвращает данные о указанном объявлении
     * @param guid Идентификатор объявления
     * @returns {Promise<any>}
     */
    RealtyService.prototype.load = function (guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.about(guid);
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Синхронизирует метаданные формы с бэкендом
     * @returns {Promise<any>}
     */
    RealtyService.prototype.synchronizeFormMetaInfo = function () {
        var _this = this;
        return new Promise(function (resolve) {
            var url = RealtyUrls.getFormLastModified;
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                var process = function (localInfo) {
                    _this.processFormMetaInfo(localInfo, data).then(resolve).catch(resolve);
                };
                _this.cache.get(RealtyService.LAST_MODIFIED_INFO_KEY)
                    .then(function (localInfo) {
                    process(localInfo);
                })
                    .catch(function () {
                    process({});
                });
            }, function () {
                resolve();
            });
        });
    };
    /**
     * Получение объявлений по списку идентификаторов
     * @param {string[]} realtyGuids
     * @returns {Promise<any>}
     */
    RealtyService.prototype.getRealtyByGuids = function (realtyGuids) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.getByGuids;
            _this.httpService.post(url, realtyGuids)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    RealtyService.prototype.loadList = function (url, body, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.post(url, body, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Сравнивает локальные метаданные и удаленные.
     *      При обнаружении измененных, добавленных или удаленных метаданных - удаляет все записи из кеша относящиеся к этим метаданным
     *
     * @param {any} localInfo Объект с локальными метаданными, где ключ - результат конкатенации actionGuid & entityGuid, значение - timestamp последнего изменения
     * @param {any[]} remoteInfo Массив объектов метаинформации на сервере
     * @returns {Promise<[]>}
     */
    RealtyService.prototype.processFormMetaInfo = function (localInfo, remoteInfo) {
        var depends = [];
        var resultLocalInfo = {};
        var updateLocalInfo = false;
        localInfo = localInfo || {};
        // Проверяем измененные и добавленные записи
        for (var _i = 0, remoteInfo_1 = remoteInfo; _i < remoteInfo_1.length; _i++) {
            var remoteItem = remoteInfo_1[_i];
            remoteItem = remoteItem || {};
            var remoteLastModified = remoteItem.updated || 0;
            var actionGuid = remoteItem.action_guid || '';
            var entityGuid = remoteItem.entity_guid || '';
            var localKey = actionGuid + '_' + entityGuid;
            if (!localInfo.hasOwnProperty(localKey)) {
                updateLocalInfo = true;
            }
            else if (localInfo.hasOwnProperty(localKey) && ((localInfo[localKey] < remoteLastModified) || (remoteLastModified == 0))) {
                depends.push(this.cache.removeByTag(localKey));
                updateLocalInfo = true;
            }
            resultLocalInfo[localKey] = remoteLastModified;
        }
        // Проверяем удаленные записи
        var localKeys = Object.keys(localInfo);
        for (var i = 0; i < localKeys.length; i++) {
            var localKey = localKeys[i];
            if (!resultLocalInfo.hasOwnProperty(localKey)) {
                depends.push(this.cache.removeByTag(localKey));
                updateLocalInfo = true;
            }
        }
        if (updateLocalInfo) {
            depends.push(this.cache.set(RealtyService.LAST_MODIFIED_INFO_KEY, resultLocalInfo));
        }
        return Promise.all(depends);
    };
    // Публикация объявления на продающем сайте
    RealtyService.prototype.salePublish = function (actionGuid, entityGuid, guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.salePublish(actionGuid, entityGuid, guid);
            _this.httpService.put(url, null)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                _this.realtyChannel.subject(RealtyService.ESB_REALTY_SALE_PUBLISHED_CHANGE).next({
                    actionGuid: actionGuid,
                    entityGuid: entityGuid,
                    guid: guid,
                    state: true
                });
                resolve(data);
            }, reject);
        });
    };
    // Снятие публикации объявления с продающего сайта
    RealtyService.prototype.saleUnPublish = function (actionGuid, entityGuid, guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.saleUnPublish(actionGuid, entityGuid, guid);
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                _this.realtyChannel.subject(RealtyService.ESB_REALTY_SALE_PUBLISHED_CHANGE).next({
                    actionGuid: actionGuid,
                    entityGuid: entityGuid,
                    guid: guid,
                    state: false
                });
                resolve(data);
            }, reject);
        });
    };
    // Отмена модерации объявления на продающем сайте
    RealtyService.prototype.cancelSaleModeration = function (actionGuid, entityGuid, guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = RealtyUrls.cancelSaleModeration(actionGuid, entityGuid, guid);
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                _this.realtyChannel.subject(RealtyService.ESB_REALTY_SALE_PUBLISHED_CHANGE).next({
                    actionGuid: actionGuid,
                    entityGuid: entityGuid,
                    guid: guid,
                    state: false
                });
                resolve(data);
            }, reject);
        });
    };
    return RealtyService;
}());
RealtyService.LAST_MODIFIED_INFO_KEY = 'realty_forms_last_modified_info';
RealtyService.FULL_FORM_METADATA_KEY = 'full_form_metadata_info';
RealtyService.ESB_REALTY_CHANNEL_NAME = 'realty';
RealtyService.ESB_REALTY_FAVORITES_CHANGE = 'favorite.change';
RealtyService.ESB_REALTY_PUBLISHED_CHANGE = 'published.change';
RealtyService.ESB_REALTY_SALE_PUBLISHED_CHANGE = 'sale_published.change';
RealtyService.ESB_REALTY_REMOVE = 'remove';
RealtyService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
RealtyService.ctorParameters = function () { return [
    { type: HttpService, },
    { type: CurrentUserService, },
    { type: undefined, decorators: [{ type: _angular_core.Inject, args: ['StorageInterface',] },] },
]; };

/**
 * Класс для работы со справочниками
 */
var RefsService = (function () {
    function RefsService(httpService, cache) {
        this.httpService = httpService;
        this.cache = cache;
    }
    RefsService.prototype.setRefsEndPoint = function (_refsEndPoint) {
        this.refsEndPoint = _refsEndPoint;
    };
    /**
     * Синхронизирует справочники с бэкендом
     * @returns {Promise<T>}
     */
    RefsService.prototype.synchronize = function () {
        var _this = this;
        return new Promise(function (resolve) {
            var url = _this.refsEndPoint + 'refs/last-modified';
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(function (data) {
                var process = function (localInfo) {
                    _this.processLastModified(localInfo, data).then(resolve).catch(resolve);
                };
                _this.cache.get(RefsService.REFS_LAST_MODIFIED_INFO_KEY)
                    .then(function (localInfo) {
                    process(localInfo);
                })
                    .catch(function () {
                    process({});
                });
            }, function () {
                resolve();
            });
        });
    };
    /**
     * Сравнивает локальные справочники и удаленные.
     *      При обнаружении измененных, добавленных или удаленных справочников - удаляет все записи из кеша относящиеся к этим справочникам
     *
     * @param {any} localInfo Объект с локальными справочниками, где ключ - имя справочника, значение - timestamp последнего изменения
     * @param {any[]} remoteInfo Массив объектов с информацией о справочниках на сервере
     * @returns {Promise<[]>}
     */
    RefsService.prototype.processLastModified = function (localInfo, remoteInfo) {
        var depends = [];
        var resultLocalInfo = {};
        var updateLocalInfo = false;
        localInfo = localInfo || {};
        // Проверяем измененные и добавленные справочники
        for (var _i = 0, remoteInfo_1 = remoteInfo; _i < remoteInfo_1.length; _i++) {
            var remoteItem = remoteInfo_1[_i];
            remoteItem = remoteItem || {};
            var remoteLastModified = remoteItem.updated || 0;
            var refName = remoteItem.class_name || null;
            if (!localInfo.hasOwnProperty(refName)) {
                updateLocalInfo = true;
            }
            else if (localInfo.hasOwnProperty(refName) && (localInfo[refName] < remoteLastModified)) {
                depends.push(this.cache.removeByTag(refName));
                updateLocalInfo = true;
            }
            resultLocalInfo[refName] = remoteLastModified;
        }
        // Проверяем удаленные справочники
        var localKeys = Object.keys(localInfo);
        for (var i = 0; i < localKeys.length; i++) {
            var localRefName = localKeys[i];
            if (!resultLocalInfo.hasOwnProperty(localRefName)) {
                depends.push(this.cache.removeByTag(localRefName));
                updateLocalInfo = true;
            }
        }
        if (updateLocalInfo) {
            depends.push(this.cache.set(RefsService.REFS_LAST_MODIFIED_INFO_KEY, resultLocalInfo));
        }
        return Promise.all(depends);
    };
    return RefsService;
}());
RefsService.REFS_LAST_MODIFIED_INFO_KEY = 'refs_last_modified_info';
RefsService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
RefsService.ctorParameters = function () { return [
    { type: HttpService, },
    { type: undefined, decorators: [{ type: _angular_core.Inject, args: ['StorageInterface',] },] },
]; };

var RegisterInfoModel = (function () {
    function RegisterInfoModel() {
    }
    return RegisterInfoModel;
}());

var __extends$10 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var RealtyDealModel = (function (_super) {
    __extends$10(RealtyDealModel, _super);
    function RealtyDealModel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return RealtyDealModel;
}(AbstractRefModel));

var __extends$11 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var RealtyDealService = (function (_super) {
    __extends$11(RealtyDealService, _super);
    function RealtyDealService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.refName = 'realty_deal';
        return _this;
    }
    /**
     * Получить список всех сделок
     *
     * @returns {Promise<any>}
     */
    RealtyDealService.prototype.getAllDeals = function (params, sort) {
        return this.getListAll(params || {}, sort || 'sorder,title');
    };
    return RealtyDealService;
}(AbstractRefsService));
RealtyDealService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
RealtyDealService.ctorParameters = function () { return []; };

var __extends$12 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Сервис для работы с sessionStorage
 */
var SessionStorageService = (function (_super) {
    __extends$12(SessionStorageService, _super);
    function SessionStorageService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Установка значения по ключу
     * @param {string} key Ключ, по которому необходимо сохранить данные
     * @param {any} value Данные для сохранения
     * @returns {Promise<T>}
     * @protected
     */
    SessionStorageService.prototype._set = function (key, value) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            try {
                _this._getStorageInstance()
                    .then(function (storage) {
                    storage.setItem(key, value);
                    resolve();
                })
                    .catch(reject);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    /**
     * Получение значения по ключу
     * @param {string} key Ключ, по которому необходимо получить значение
     * @returns {Promise<T>}
     * @protected
     */
    SessionStorageService.prototype._get = function (key) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            try {
                _this._getStorageInstance()
                    .then(function (storage) {
                    var value = storage.getItem(key);
                    (value === null) ? reject() : resolve(value);
                })
                    .catch(reject);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    /**
     * Удаление значения по ключу
     * @param {string} key Ключ по которым необходимо удалить данные
     * @returns {Promise<T>}
     * @protected
     */
    SessionStorageService.prototype._remove = function (key) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            try {
                _this._getStorageInstance()
                    .then(function (storage) {
                    storage.removeItem(key);
                    resolve();
                })
                    .catch(reject);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    /**
     * Полная очистка хранилища
     * @returns {Promise<T>}
     * @protected
     */
    SessionStorageService.prototype._clear = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            try {
                _this._getStorageInstance()
                    .then(function (storage) {
                    storage.clear();
                    resolve();
                })
                    .catch(reject);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    /**
     * Возвращает экземпляр хранилища
     * @returns {Promise<T>}
     * @protected
     */
    SessionStorageService.prototype._getStorageInstance = function () {
        return new Promise(function (resolve, reject) {
            try {
                resolve(sessionStorage);
            }
            catch (err) {
                reject(err);
            }
        });
    };
    return SessionStorageService;
}(AbstractKeyValueStorage));
SessionStorageService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
SessionStorageService.ctorParameters = function () { return []; };

var StorageService = (function () {
    function StorageService(userService, http) {
        this.userService = userService;
        this.http = http;
    }
    StorageService.prototype.setStorageEndPoint = function (url) {
        this.storageEndPoint = url;
    };
    /**
     * Удаление файла со стораджа
     *
     * @param guid
     * @returns {Promise<T>}
     */
    StorageService.prototype.deleteFile = function (guid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.storageEndPoint + 'files/' + guid;
            _this.http.delete(url).subscribe(function (data) {
                resolve();
            }, function (err) {
                reject(err);
            });
        });
    };
    /**
     * Post file to storage
     *
     * @param file
     * @returns {Promise<T>}
     */
    StorageService.prototype.postFile = function (file) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.storageEndPoint + 'files';
            var formData = new FormData();
            var xhr = new XMLHttpRequest();
            formData.append('data', file, file.name);
            xhr.onreadystatechange = function () {
                if (xhr.readyState === 4) {
                    try {
                        if (xhr.status === 200) {
                            resolve(JSON.parse(xhr.response));
                        }
                        else {
                            var error = JSON.parse(xhr.response);
                            reject(error && error.data ? error.data : error);
                        }
                    }
                    catch (err) {
                        reject(err);
                    }
                }
            };
            xhr.open('POST', url, true);
            xhr.send(formData);
        });
    };
    /**
     * Заменить вложение
     *
     * @param guid
     * @param file
     * @returns {Promise<T>}
     */
    StorageService.prototype.changeAttachment = function (guid, file) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.storageEndPoint + 'files/' + guid + '/change';
            var formData = new FormData();
            var xhr = new XMLHttpRequest();
            formData.append('data', file, file.name);
            xhr.onreadystatechange = function () {
                if (xhr.readyState === 4) {
                    try {
                        if (xhr.status === 200) {
                            resolve(JSON.parse(xhr.response));
                        }
                        else {
                            var error = JSON.parse(xhr.response);
                            reject(error && error.data ? error.data : error);
                        }
                    }
                    catch (err) {
                        reject(err);
                    }
                }
            };
            xhr.open('POST', url, true);
            xhr.setRequestHeader(CurrentUserService.USER_TOKEN_NAME, _this.userService.getToken());
            xhr.send(formData);
        });
    };
    /**
     * Возвращает безопасный стиль
     * для масштабированной картинки
     *
     * @param {string} imageGuid
     * @param {number} width
     * @param {number} height
     * @param {string} mode
     * @param {number} quality
     * @returns {String}
     */
    StorageService.prototype.getScaledImageUrl = function (imageGuid, width, height, mode, quality) {
        if (mode === void 0) { mode = 'outbound'; }
        if (quality === void 0) { quality = 95; }
        var url = this.storageEndPoint + 'images/scale/' + imageGuid + '/' + width + '/' + height;
        url += mode ? '/' + mode : '';
        url += quality ? '/' + quality : '';
        return url;
    };
    /**
     * Возвращает путь до картинки на storage
     *
     * @param {string} imageGuid
     * @returns {string}
     */
    StorageService.prototype.getImageUrl = function (imageGuid) {
        return this.storageEndPoint + 'files/' + imageGuid;
    };
    return StorageService;
}());
StorageService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
StorageService.ctorParameters = function () { return [
    { type: CurrentUserService, },
    { type: HttpService, },
]; };

var __extends$13 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var SpecializationModel = (function (_super) {
    __extends$13(SpecializationModel, _super);
    function SpecializationModel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return SpecializationModel;
}(AbstractRefModel));

var __extends$14 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var SpecialziationService = (function (_super) {
    __extends$14(SpecialziationService, _super);
    function SpecialziationService() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.refName = 'spec';
        return _this;
    }
    SpecialziationService.prototype.getSpecializations = function () {
        return this.getListAll({}, 'sorder,title');
    };
    return SpecialziationService;
}(AbstractRefsService));
SpecialziationService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
SpecialziationService.ctorParameters = function () { return []; };

var ValidationService = (function () {
    function ValidationService() {
    }
    /**
     * Валидация email-адреса
     *
     * @param email
     * @returns {boolean}
     */
    ValidationService.prototype.email = function (email) {
        return /^[a-z0-9!#$%&'*+\/=?^_`{|}~.-]+@[a-z0-9]([a-z0-9-]*[a-z0-9])?(\.[a-z0-9]([a-z0-9-]*[a-z0-9])?)*$/i
            .test(email);
    };
    return ValidationService;
}());
ValidationService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
ValidationService.ctorParameters = function () { return []; };

var RealtyFilterOperation = (function () {
    function RealtyFilterOperation(operation, field, value) {
        this.operation = operation;
        this.field = field;
        this.value = value;
    }
    RealtyFilterOperation.prototype.getRequest = function () {
        return {
            operation: this.operation,
            field: this.field,
            value: this.value,
        };
    };
    return RealtyFilterOperation;
}());

var RealtyFilterLogicalOperation = (function () {
    function RealtyFilterLogicalOperation(operation, value) {
        this.operation = operation;
        this.value = value;
    }
    RealtyFilterLogicalOperation.prototype.getRequest = function () {
        var result = {};
        if (Array.isArray(this.value)) {
            var items = [];
            for (var i = 0; i < this.value.length; i++) {
                items[i] = this.value[i].getRequest();
            }
            result[this.operation] = items;
        }
        else {
            result[this.operation] = this.value.getRequest();
        }
        return result;
    };
    return RealtyFilterLogicalOperation;
}());

/**
 * Класс для построения объектов фильтрации объявлений
 */
var RealtyFiltersBuilder = (function () {
    function RealtyFiltersBuilder() {
    }
    /**
     * Формирование части запроса ИЛИ.
     * Параметры метода будут использованы в запросе через оператор ИЛИ.
     * @param filter Компоненты фильтра
     * @returns {RealtyFilterLogicalOperation}
     */
    RealtyFiltersBuilder.prototype.or = function (filter) {
        return new RealtyFilterLogicalOperation('or', filter);
    };
    /**
     * Формирование части запроса И.
     * Параметры метода будут использованы в запросе через оператор И.
     * @param filter Компоненты фильтра
     * @returns {RealtyFilterLogicalOperation}
     */
    RealtyFiltersBuilder.prototype.and = function (filter) {
        return new RealtyFilterLogicalOperation('and', filter);
    };
    /**
     * Проверка на равенство указанного поля с переданным значением
     * @param field Имя поля
     * @param value Значение
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.eq = function (field, value) {
        return new RealtyFilterOperation('eq', field, value);
    };
    /**
     * Проверка на неравенство указанного поля с переданным значением
     * @param field Имя поля
     * @param value Значение
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.ne = function (field, value) {
        return new RealtyFilterOperation('ne', field, value);
    };
    /**
     * Проверка что значение указанного поля больше переданного значения
     * @param field Имя поля
     * @param value Значение
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.gt = function (field, value) {
        return new RealtyFilterOperation('gt', field, value);
    };
    /**
     * Проверка что значение указанного поля больше или равно переданному значению
     * @param field Имя поля
     * @param value Значение
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.gte = function (field, value) {
        return new RealtyFilterOperation('gte', field, value);
    };
    /**
     * Проверка что значение указанного поля меньше переданного значения
     * @param field Имя поля
     * @param value Значение
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.lt = function (field, value) {
        return new RealtyFilterOperation('lt', field, value);
    };
    /**
     * Проверка что значение указанного поля меньше или равно переданному значению
     * @param field Имя поля
     * @param value Значение
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.lte = function (field, value) {
        return new RealtyFilterOperation('lte', field, value);
    };
    /**
     * Проверка что значение указанного поля входит в массив переданных значений
     * @param field Имя поля
     * @param value Значение
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.in = function (field, value) {
        return new RealtyFilterOperation('in', field, value);
    };
    /**
     * Проверка что значение указанного поля не входит в массив переданных значений
     * @param field Имя поля
     * @param value Значение
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.nin = function (field, value) {
        return new RealtyFilterOperation('nin', field, value);
    };
    /**
     * Проверка что значение указанного поля(точки на карте) входит в прямоугольную область описываемую параметрами leftBottomPoint и rightTopPoint
     * @param field Имя поля
     * @param leftBottomPoint Координаты левой-нижней точки прямоугольника
     * @param rightTopPoint Координаты правой-верхней точки прямоугольника
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.geoIn = function (field, leftBottomPoint, rightTopPoint) {
        return new RealtyFilterOperation('geoin', field, [[leftBottomPoint[0], leftBottomPoint[1]], [rightTopPoint[0], rightTopPoint[1]]]);
    };
    /**
     * Проверка что значение поля входит в диапазон между minValue и maxValue (включая крайние точки)
     * @param field Имя поля
     * @param minValue Минимальное значение
     * @param maxValue Максимальное значение
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.between = function (field, minValue, maxValue) {
        return new RealtyFilterOperation('between', field, [minValue, maxValue]);
    };
    /**
     * Проверка существования поля
     * @param field Имя поля
     * @param value Должно поле существовать или нет
     * @returns {RealtyFilterOperation}
     */
    RealtyFiltersBuilder.prototype.exists = function (field, value) {
        return new RealtyFilterOperation('exists', field, value);
    };
    return RealtyFiltersBuilder;
}());
RealtyFiltersBuilder.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
RealtyFiltersBuilder.ctorParameters = function () { return []; };

var PeersService = (function () {
    function PeersService(httpService) {
        this.httpService = httpService;
    }
    /**
     * Создание диалога между текущим пользователем и userGuid
     * @param {string} userGuid С кем создать диалог
     * @returns {Promise<ChatInfoModel>}
     */
    PeersService.prototype.createPeer = function (userGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "peers/" + userGuid;
            _this.httpService.post(url, null)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение диалогов текущего пользователя
     * @param {string} lastPeerGuid Идентификатор диалога начиная с которого надо возвращать чаты
     * @param {string} stopPeerGuid Идентификатор диалога, до которого нужно получить чаты
     * @param {any} query           Дополнительные условия
     * @returns {Promise<ResponseListModel<ChatInfoModel>>}
     */
    PeersService.prototype.getPeers = function (lastPeerGuid, stopPeerGuid, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "peers/list";
            if (lastPeerGuid) {
                url += "/" + lastPeerGuid;
                if (stopPeerGuid) {
                    url += "/" + stopPeerGuid;
                }
            }
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Возвращает диалог
     * @param {string} peerGuid Идентификатор диалога
     * @returns {Promise<ChatInfoModel>}
     */
    PeersService.prototype.getPeer = function (peerGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "peers/" + peerGuid;
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение истории сообщений диалога с пользователем
     * @param {string} peerGuid     Идентификатор диалога
     * @param {string} messageGuid  Идентификатор сообщения до которого необходимо получить записи истории
     * @param startMessageGuid      Идентификатор сообщения с которого необходимо получить записи истории
     * @param numBefore             Количество сообщений которые надо добавить до начального сообщения
     * @param query                 Дополнительные параметры
     * @returns {Promise<ResponseListModel<ChatMessageModel>>}
     */
    PeersService.prototype.getHistory = function (peerGuid, messageGuid, startMessageGuid, numBefore, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "peers/" + peerGuid + "/history";
            if (messageGuid) {
                url += "/" + messageGuid;
                if (startMessageGuid) {
                    url += "/" + startMessageGuid;
                    if (numBefore) {
                        url += "/" + numBefore;
                    }
                }
            }
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Метод для поиска (чатов)
     * @param {string} queryText Строка поиска
     * @param {any} query Дополнительные параметры запроса
     * @returns {Promise<ResponseListModel<ChatInfoModel>>}
     */
    PeersService.prototype.search = function (queryText, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "peers/search";
            var params = new _angular_http.URLSearchParams();
            params.set('q', queryText);
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            return _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Метод для поиска сообщений
     * @param {string} peerGuid Идентификатор чата
     * @param {string} query Строка для поиска
     * @param {string} messageGuid Идентификатор сообщения до которого необходимо искать
     * @returns {Observable<MessageSearchResultModel>}
     */
    PeersService.prototype.searchMessages = function (peerGuid, query, messageGuid) {
        var url = this.messagesEndPoint + "peers/" + peerGuid + "/search-messages";
        if (messageGuid) {
            url += '/' + messageGuid;
        }
        url += '?q=' + query;
        return this.httpService.get(url)
            .map(function (response) { return response.json(); })
            .map(function (response) { return response.data; });
    };
    /**
     * Установка URL до сервиса messaging
     *
     * @param messagesEndPoint
     */
    PeersService.prototype.setMessagesEndPoint = function (messagesEndPoint) {
        this.messagesEndPoint = messagesEndPoint;
    };
    return PeersService;
}());
PeersService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
PeersService.ctorParameters = function () { return [
    { type: HttpService, },
]; };

var ChatsService = (function () {
    function ChatsService(httpService) {
        this.httpService = httpService;
    }
    /**
     * Получение всех чатов для текущего пользователя
     * @param {string} lastChatGuid Идентфиикатор последнего чата
     * @param {string} stopChatGuid Идентификатор чата, до которого получить информацию
     * @param {any} query Дополнительные параметры
     * @returns {Promise<ResponseListModel<ChatInfoModel>>}
     */
    ChatsService.prototype.getAllChats = function (lastChatGuid, stopChatGuid, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "chats/get-all-chats";
            if (lastChatGuid) {
                url += "/" + lastChatGuid;
                if (stopChatGuid) {
                    url += "/" + stopChatGuid;
                }
            }
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение всех чатов для пересылки сообщений
     * @param {string} lastChatGuid Идентификатор последнего чата
     * @param {string} stopChatGuid Идентификатор чата, до которого получить информацию
     * @param {any} query Дополнительные параметры
     * @returns {Promise<ResponseListModel<ChatInfoModel>>}
     */
    ChatsService.prototype.getForwardedChats = function (lastChatGuid, stopChatGuid, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "chats/get-forwarded-chats";
            if (lastChatGuid) {
                url += "/" + lastChatGuid;
                if (stopChatGuid) {
                    url += "/" + stopChatGuid;
                }
            }
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Поиск по всем чатам текущего пользователя
     * @param {string} queryText Поисковой запрос
     * @param {any} query Дополнительные параметры запроса
     * @returns {Promise<ChatInfoModel[]>}
     */
    ChatsService.prototype.searchAllChats = function (queryText, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "chats/search?q=" + queryText;
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            return _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Поиск по всем чатам текущего пользователя
     * @param {string} queryText Поисковой запрос
     * @param {any} query Дополнительные параметры запроса
     * @returns {Promise<ChatInfoModel[]>}
     */
    ChatsService.prototype.searchForwardedChats = function (queryText, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "chats/forwarded-search?q=" + queryText;
            var params = new _angular_http.URLSearchParams();
            if (query) {
                Object.keys(query).forEach(function (key) {
                    params.set(key, query[key]);
                });
            }
            return _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Установка точки входа в микросервис сообщений
     * @param {string} endPoint
     */
    ChatsService.prototype.setMessagesEndPoint = function (endPoint) {
        this.messagesEndPoint = endPoint;
    };
    return ChatsService;
}());
ChatsService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
ChatsService.ctorParameters = function () { return [
    { type: HttpService, },
]; };

var __extends$15 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Базовый URL
// URL's для работы с группами
// @dynamic
var GroupsUrls = (function (_super) {
    __extends$15(GroupsUrls, _super);
    function GroupsUrls() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(GroupsUrls, "groupInvite", {
        get: function () {
            return GroupsUrls.endPoint + "/messaging/groups/invite";
        },
        enumerable: true,
        configurable: true
    });
    return GroupsUrls;
}(BasicUrls));

// Services
// Url's
var GroupsService = (function () {
    function GroupsService(httpService) {
        this.httpService = httpService;
    }
    /**
     * Создание чата (канала\группы)
     * @param {ChatCreateInfoModel} chatData Информация для создания чата
     * @returns {Promise<ChatInfoModel>}
     */
    GroupsService.prototype.create = function (chatData) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups";
            _this.httpService.post(url, chatData)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение списка чатов пользователя (каналов\групп)
     * @param {boolean} onlyMy Показывать только мои чаты
     * @param {string} lastChatGuid Идентфиикатор последнего чата
     * @param {string} stopChatGuid Идентификатор чата, до которого получить информацию
     * @param {any} query Дополнительные параметры
     * @returns {Promise<ResponseListModel<ChatInfoModel>>}
     */
    GroupsService.prototype.getList = function (onlyMy, lastChatGuid, stopChatGuid, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/list";
            if (lastChatGuid) {
                url += "/" + lastChatGuid;
                if (stopChatGuid) {
                    url += "/" + stopChatGuid;
                }
            }
            if (onlyMy) {
                url += "?only-my";
            }
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Просмотр информации о чате (канала группы)
     * @param {string} chatGuid Идентфикатор чата (канала\группы)
     * @returns {Promise<ChatInfoModel>}
     */
    GroupsService.prototype.getInfo = function (chatGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + chatGuid;
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Обновление информации о чате (канале\группе)
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @param {ChatCreateInfoModel} params Параметры для обновления чата (канала\группы)
     * @returns {Promise<ChatInfoModel>}
     */
    GroupsService.prototype.update = function (chatGuid, params) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + chatGuid;
            _this.httpService.put(url, params)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Удаление чата (канала\группы)
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @returns {Promise<boolean>}
     */
    GroupsService.prototype.remove = function (chatGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + chatGuid;
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Присоединиться к публичному чату (канала\группы)
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @returns {Promise<boolean>}
     */
    GroupsService.prototype.join = function (chatGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + chatGuid + "/join";
            _this.httpService.post(url, {})
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Выход из чата (канала\группы)
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @returns {Promise<boolean>}
     */
    GroupsService.prototype.leave = function (chatGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + chatGuid + "/leave";
            _this.httpService.delete(url, {})
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Принять приглашение на вступление в чат
     * @param {string} inviteGuid Идентификатор приглашения
     */
    GroupsService.prototype.accept = function (inviteGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = GroupsUrls.groupInvite + "/" + inviteGuid;
            _this.httpService.post(url, {})
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Отклонить приглашение на вступление в чат
     * @param {string} inviteGuid Идентификатор приглашения
     */
    GroupsService.prototype.refuse = function (inviteGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = GroupsUrls.groupInvite + "/" + inviteGuid;
            _this.httpService.delete(url, {})
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Приглашение пользователя в группу
     * @param {string} groupGuid Идентификатор группы
     * @param {string} userGuid Идентификатор пользователя
     * @returns {Promise<MemberInfoModel>}
     */
    GroupsService.prototype.invite = function (groupGuid, userGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + groupGuid + "/invite/" + userGuid;
            _this.httpService.post(url, null)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Поиск сообщений в чате
     * @param {string} chatGuid Идентификтаор чата
     * @param {string} query Строка поиска
     * @param {string} messageGuid Идентификатор сообщения до которого необходимо искать
     * @returns {Observable<MessageSearchResultModel>}
     */
    GroupsService.prototype.searchMessages = function (chatGuid, query, messageGuid) {
        var url = this.messagesEndPoint + "groups/" + chatGuid + "/search-messages";
        if (messageGuid) {
            url += '/' + messageGuid;
        }
        url += '?q=' + query;
        return this.httpService.get(url)
            .map(function (response) { return response.json(); })
            .map(function (response) { return response.data; });
    };
    /**
     * Поиск по чатам
     * @param {string} queryText Текст для поиска
     * @param {any} query Дополнительные параметры запроса
     */
    GroupsService.prototype.search = function (queryText, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/search";
            var params = new _angular_http.URLSearchParams();
            params.set('q', queryText);
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            return _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение истории сообщений
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @param {string} messageGuid Идентификатор сообщения, от которого получать историю
     * @param {string} startMessageGuid Идентификатор сообщения, до которого получать историю
     * @param {number} numBefore Количество сообщений которые надо добавить до начального сообщения
     * @param {any} query Дополнительные параметры
     * @returns {Promise<ResponseListModel<ChatMessageModel>>}
     */
    GroupsService.prototype.getHistory = function (chatGuid, messageGuid, startMessageGuid, numBefore, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + chatGuid + "/history";
            if (messageGuid) {
                url += "/" + messageGuid;
                if (startMessageGuid) {
                    url += "/" + startMessageGuid;
                    if (numBefore) {
                        url += "/" + numBefore;
                    }
                }
            }
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получаем список участников группы
     *
     * @param {string} groupGuid  Индификатор группы
     * @param query               Дополнительные параметры
     */
    GroupsService.prototype.getMembers = function (groupGuid, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + groupGuid + "/members";
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Поиск по участникам групп
     *
     * @param groupGuid     Индификатор группы в по списку участников которой производим поиск
     * @param queryText     Текст по которому ищем
     * @param query         Значение по которому производим поиск участников
     */
    GroupsService.prototype.searchMembers = function (groupGuid, queryText, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + groupGuid + "/members/search";
            var params = new _angular_http.URLSearchParams();
            params.set('q', queryText);
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            return _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Удаление участника группы
     *
     * @param {string} groupGuid
     * @param {string} userGuid
     * @returns {Promise<boolean>}
     */
    GroupsService.prototype.removeMember = function (groupGuid, userGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + groupGuid + "/kickoff/" + userGuid;
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение информации о статусе приглашения для пользователей группы
     * @param  {string} groupGuid Идентификатор группы
     * @param  {string[]} userGuids Массив идентификаторов пользователей группы
     * @return {Promise<MemberInfoModel[]>}
     */
    GroupsService.prototype.getMembersInfo = function (groupGuid, userGuids) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "groups/" + groupGuid + "/members-info";
            _this.httpService.post(url, userGuids)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Установка URL для сервиса сообщений
     * @param messagesEndPoint
     */
    GroupsService.prototype.setMessagesEndPoint = function (messagesEndPoint) {
        this.messagesEndPoint = messagesEndPoint;
    };
    return GroupsService;
}());
GroupsService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
GroupsService.ctorParameters = function () { return [
    { type: HttpService, },
]; };

var __extends$16 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Базовый URL
// URL's для работы с каналами
// @dynamic
var ChannelsUrls = (function (_super) {
    __extends$16(ChannelsUrls, _super);
    function ChannelsUrls() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ChannelsUrls, "chatInvite", {
        get: function () {
            return ChannelsUrls.endPoint + "/messaging/channels/invite";
        },
        enumerable: true,
        configurable: true
    });
    return ChannelsUrls;
}(BasicUrls));

// Services
// Url's
var ChannelsService = (function () {
    function ChannelsService(httpService) {
        this.httpService = httpService;
    }
    /**
     * Создание чата (канала\группы)
     * @param {ChatCreateInfoModel} chatData Информация для создания чата
     * @returns {Promise<ChatInfoModel>}
     */
    ChannelsService.prototype.create = function (chatData) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels";
            _this.httpService.post(url, chatData)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение списка чатов пользователя (каналов\групп)
     * @param {boolean} onlyMy Показывать только мои чаты
     * @param {string} lastChatGuid Идентфиикатор последнего чата
     * @param {string} stopChatGuid Идентификатор чата, до которого получить информацию
     * @param {any} query Дополнительные параметры
     * @returns {Promise<ResponseListModel<ChatInfoModel>>}
     */
    ChannelsService.prototype.getList = function (onlyMy, lastChatGuid, stopChatGuid, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/list";
            if (lastChatGuid) {
                url += "/" + lastChatGuid;
            }
            if (lastChatGuid && stopChatGuid) {
                url += "/" + stopChatGuid;
            }
            if (onlyMy) {
                url += "?only-my";
            }
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Просмотр информации о чате (канала группы)
     * @param {string} chatGuid Идентфикатор чата (канала\группы)
     * @returns {Promise<ChatInfoModel>}
     */
    ChannelsService.prototype.getInfo = function (chatGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + chatGuid;
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Обновление информации о чате (канале\группе)
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @param {ChatCreateInfoModel} params Параметры для обновления чата (канала\группы)
     * @returns {Promise<ChatInfoModel>}
     */
    ChannelsService.prototype.update = function (chatGuid, params) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + chatGuid;
            _this.httpService.put(url, params)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Удаление чата (канала\группы)
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @returns {Promise<boolean>}
     */
    ChannelsService.prototype.remove = function (chatGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + chatGuid;
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Присоединиться к публичному чату (канала\группы)
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @returns {Promise<boolean>}
     */
    ChannelsService.prototype.join = function (chatGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + chatGuid + "/join";
            _this.httpService.post(url, {})
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Выход из чата (канала\группы)
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @returns {Promise<boolean>}
     */
    ChannelsService.prototype.leave = function (chatGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + chatGuid + "/leave";
            _this.httpService.delete(url, {})
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Принять приглашение на вступление в чат
     * @param {string} inviteGuid Идентификатор приглашения
     */
    ChannelsService.prototype.accept = function (inviteGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = ChannelsUrls.chatInvite + "/" + inviteGuid;
            _this.httpService.post(url, {})
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Отклонить приглашение на вступление в чат
     * @param {string} inviteGuid Идентификатор приглашения
     */
    ChannelsService.prototype.refuse = function (inviteGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = ChannelsUrls.chatInvite + "/" + inviteGuid;
            _this.httpService.delete(url, {})
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Приглашение пользователя в канал
     * @param {string} channelGuid Идентификатор канала
     * @param {string} userGuid Идентификатор пользователя
     * @returns {Promise<MemberInfoModel>}
     */
    ChannelsService.prototype.invite = function (channelGuid, userGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + channelGuid + "/invite/" + userGuid;
            _this.httpService.post(url, null)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Поиск сообщений в чате
     * @param {string} chatGuid Идентификтаор чата
     * @param {string} query Строка поиска
     * @param {string} messageGuid Идентификатор сообщения до которого необходимо искать
     * @returns {Observable<MessageSearchResultModel>}
     */
    ChannelsService.prototype.searchMessages = function (chatGuid, query, messageGuid) {
        var url = this.messagesEndPoint + "channels/" + chatGuid + "/search-messages";
        if (messageGuid) {
            url += '/' + messageGuid;
        }
        url += '?q=' + query;
        return this.httpService.get(url)
            .map(function (response) { return response.json(); })
            .map(function (response) { return response.data; });
    };
    /**
     * Поиск по участникам канала
     * @param channelGuid   Индификатор канала в по списку участников которой производим поиск
     * @param queryText     Текст по которому ищем
     * @param query         Значение по которому производим поиск участников
     */
    ChannelsService.prototype.searchMembers = function (channelGuid, queryText, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + channelGuid + "/members/search";
            var params = new _angular_http.URLSearchParams();
            params.set('q', queryText);
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            return _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Поиск по чатам
     * @param {string} queryText Текст для поиска
     * @param {any} query Дополнительные параметры запроса
     */
    ChannelsService.prototype.search = function (queryText, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/search";
            var params = new _angular_http.URLSearchParams();
            params.set('q', queryText);
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            return _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение истории сообщений
     * @param {string} chatGuid Идентификатор чата (канала\группы)
     * @param {string} messageGuid Идентификатор сообщения, от которого получать историю
     * @param {string} startMessageGuid Идентификатор сообщения, до которого получать историю
     * @param {number} numBefore Количество сообщений которые надо добавить до начального сообщения
     * @param {any} query Дополнительные параметры
     * @returns {Promise<ResponseListModel<ChatMessageModel>>}
     */
    ChannelsService.prototype.getHistory = function (chatGuid, messageGuid, startMessageGuid, numBefore, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + chatGuid + "/history";
            if (messageGuid) {
                url += "/" + messageGuid;
                if (startMessageGuid) {
                    url += "/" + startMessageGuid;
                    if (numBefore) {
                        url += "/" + numBefore;
                    }
                }
            }
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получаем список участников канала
     *
     * @param {string} channelGuid  Индификатор канала
     * @param query                 Дополнительные параметры
     */
    ChannelsService.prototype.getMembers = function (channelGuid, query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + channelGuid + "/members";
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Удаление участника канала
     * @param {string} channelGuid
     * @param {string} userGuid
     * @returns {Promise<boolean>}
     */
    ChannelsService.prototype.removeMember = function (channelGuid, userGuid) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + channelGuid + "/kickoff/" + userGuid;
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получение информации о статусе приглашения для пользователей канала
     * @param  {string} channelGuid Идентификатор канала
     * @param  {string[]} userGuids Массив идентификаторов пользователей канала
     * @return {Promise<MemberInfoModel[]>}
     */
    ChannelsService.prototype.getMembersInfo = function (channelGuid, userGuids) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.messagesEndPoint + "channels/" + channelGuid + "/members-info";
            _this.httpService.post(url, userGuids)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Установка URL для сервиса сообщений
     * @param messagesEndPoint
     */
    ChannelsService.prototype.setMessagesEndPoint = function (messagesEndPoint) {
        this.messagesEndPoint = messagesEndPoint;
    };
    return ChannelsService;
}());
ChannelsService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
ChannelsService.ctorParameters = function () { return [
    { type: HttpService, },
]; };

/**
 * Модель для отправки данных на сервер для создания чата (группы\канала)
 */
var ChatCreateInfoModel = (function () {
    function ChatCreateInfoModel() {
    }
    return ChatCreateInfoModel;
}());

/**
 * Модель чатов
 */
var ChatInfoModel = (function () {
    function ChatInfoModel() {
    }
    return ChatInfoModel;
}());

/**
 * Модель информации об участнике чата/канала/группы
 */
var MemberInfoModel = (function () {
    function MemberInfoModel() {
    }
    return MemberInfoModel;
}());

/**
 * Модель общей информации о уведомлениях
 */
var NotifyInfoModel = (function () {
    function NotifyInfoModel() {
    }
    return NotifyInfoModel;
}());

/**
 * Модель информации о приглашении
 */
var NotificationItemModel = (function () {
    function NotificationItemModel() {
    }
    return NotificationItemModel;
}());

var __extends$17 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Базовый URL
// URL's для работы с уведомлениями
// @dynamic
var NotificationUrls = (function (_super) {
    __extends$17(NotificationUrls, _super);
    function NotificationUrls() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(NotificationUrls, "unProcessedList", {
        // Список необработанных уведомлений
        get: function () {
            return NotificationUrls.endPoint + "/notifications";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NotificationUrls, "messages", {
        // Информация о количестве непрочитанных сообщений и наличие уведомлений у текущего пользователя
        get: function () {
            return NotificationUrls.endPoint + "/messaging/notify-info";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NotificationUrls, "processedList", {
        // Список обработанных уведомлений
        get: function () {
            return NotificationUrls.unProcessedList + "/history";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NotificationUrls, "actionWithNotification", {
        // Действия с уведомлением
        get: function () {
            return NotificationUrls.unProcessedList + "/operation";
        },
        enumerable: true,
        configurable: true
    });
    return NotificationUrls;
}(BasicUrls));

// Services
// RxJS
var NotificationService = (function () {
    function NotificationService(httpService) {
        this.httpService = httpService;
    }
    NotificationService.prototype.getInfo = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = NotificationUrls.messages;
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получает список обработанных уведомлений
     * @param {any} query Параметры запроса
     * @returns {Promise<ResponseListModel<NotificationItemModel>>}
     */
    NotificationService.prototype.getProcessedList = function (query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = NotificationUrls.processedList;
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Получает список необработанных уведомлений
     * @param {any} query Параметры запроса
     * @returns {Promise<ResponseListModel<NotificationItemModel>>}
     */
    NotificationService.prototype.getUnProcessedList = function (query) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = NotificationUrls.unProcessedList;
            var params = new _angular_http.URLSearchParams();
            if (query) {
                var keys = Object.keys(query);
                for (var i = 0; i < keys.length; i++) {
                    var key = keys[i];
                    params.set(key, query[key]);
                }
            }
            _this.httpService.get(url, { params: params })
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Принять уведомление
     * @param {string} operation_guid Guid операции
     * @returns {Observable<IResponse<any>>}
     */
    NotificationService.prototype.acceptNotification = function (operation_guid) {
        var _this = this;
        var url = NotificationUrls.actionWithNotification + "/" + operation_guid;
        var params = new _angular_http.URLSearchParams();
        return new rxjs.Observable(function (observer) {
            _this.httpService.post(url, { params: params })
                .map(function (response) { return response.json(); })
                .subscribe(function (response) {
                observer.next(response.data);
                observer.complete();
            }, function (err) {
                observer.error(err);
            });
        });
    };
    /**
     * Отклонить уведомление
     * @param {string} operation_guid Guid операции
     * @returns {Observable<IResponse<any>>}
     */
    NotificationService.prototype.declineNotification = function (operation_guid) {
        var _this = this;
        var url = NotificationUrls.actionWithNotification + "/" + operation_guid;
        return new rxjs.Observable(function (observer) {
            _this.httpService.delete(url)
                .map(function (response) { return response.json(); })
                .subscribe(function (response) {
                observer.next(response.data);
                observer.complete();
            }, function (err) {
                observer.error(err);
            });
        });
    };
    return NotificationService;
}());
NotificationService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
NotificationService.ctorParameters = function () { return [
    { type: HttpService, },
]; };

var ArticlesService = (function () {
    function ArticlesService(httpService) {
        this.httpService = httpService;
    }
    /**
     * Получение статей по трейлу топика
     * @param {string} topicTrail Полное имя топика
     * @returns {Promise<ArticleModel[]>}
     */
    ArticlesService.prototype.getArticlesByTopicTrail = function (topicTrail) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var url = _this.contentEndPoint + "article/tree-by-trail/" + topicTrail;
            _this.httpService.get(url)
                .map(function (response) { return response.json(); })
                .map(function (response) { return response.data; })
                .subscribe(resolve, reject);
        });
    };
    /**
     * Установка base url до микросервиса контент
     * @param {string} endPoint
     */
    ArticlesService.prototype.setContentEndPoint = function (endPoint) {
        this.contentEndPoint = endPoint;
    };
    return ArticlesService;
}());
ArticlesService.decorators = [
    { type: _angular_core.Injectable },
];
/** @nocollapse */
ArticlesService.ctorParameters = function () { return [
    { type: HttpService, },
]; };

/**
 * Модель описывающая ответ от сервера при получении записи (артикла)
 */
var ArticleModel = (function () {
    function ArticleModel() {
    }
    return ArticleModel;
}());

var MESSAGE_RCPT_DIRECT = 'direct';
var MESSAGE_RCPT_CHANNEL = 'channel';
var MESSAGE_RCPT_GROUP = 'group';
var MESSAGE_RCPT_REALTY = 'realty';
var MESSAGE_HEADER_TYPE_MESSAGE = 'message';
var MESSAGE_HEADER_TYPE_SYSTEM = 'system';
var MESSAGE_HEADER_TYPE_SYSTEM_USER = 'system.user';
var MESSAGE_HEADER_TYPE_MODERATION = 'moderation';
var MESSAGE_HEADER_TYPE_REALTY_MODERATION = 'realty.moderation';
var MESSAGE_HEADER_ACTION_RULES = 'rules';
var MESSAGE_HEADER_ACTION_UICTL = 'uiCtl';
var MESSAGE_HEADER_ACTION_LOCK_USER = 'lockUser';
var MESSAGE_HEADER_ACTION_LOCK_REALTY = 'lockRealty';
var MESSAGE_HEADER_ACTION_INVITE = 'invite';
var MESSAGE_HEADER_ACTION_STATUS = 'status';
var MESSAGE_HEADER_ACTION_JOIN = 'join';
var MESSAGE_HEADER_ACTION_LEAVE = 'leave';
var MESSAGE_HEADER_ACTION_KICKOFF = 'kickoff';
var MESSAGE_HEADER_ACTION_REMOVE = 'remove';
var MESSAGE_HEADER_ACTION_ACCEPT = 'accept';
var MESSAGE_HEADER_ACTION_DECLINE = 'decline';
var MESSAGE_HEADER_ACTION_SEND = 'send';
var MESSAGE_HEADER_ACTION_REPLY = 'reply';
var MESSAGE_HEADER_ACTION_FORWARD = 'forward';
var MESSAGE_HEADER_ACTION_EDIT = 'edit';
var MESSAGE_HEADER_ACTION_DELETE = 'delete';
var MESSAGE_HEADER_ACTION_SEEN = 'seen';
var MESSAGE_HEADER_ACTION_TYPING = 'typing';
var MESSAGE_HEADER_ACTION_REALTY_CREATE = 'create';
var MESSAGE_HEADER_ACTION_REALTY_UPDATE = 'update';
var MESSAGE_HEADER_ACTION_REALTY_DELETE = 'delete';
var MESSAGE_HEADER_ACTION_REALTY_MODERATE = 'moderate';

/**
 * Модель заголовка сообщения
 */
var MessagesHeader = (function () {
    function MessagesHeader() {
    }
    return MessagesHeader;
}());

/**
 * Абстрактная модель сообщения
 */
var AbstractMessage = (function () {
    function AbstractMessage() {
        this.header = new MessagesHeader();
    }
    return AbstractMessage;
}());

/**
 * Модель полезной нагрузки сообщения
 */
var MessagePayload = (function () {
    function MessagePayload() {
    }
    return MessagePayload;
}());

var __extends$20 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель полезной нагрузки сообщения: удаление сообщения
 */
var DeleteMessagePayload = (function (_super) {
    __extends$20(DeleteMessagePayload, _super);
    function DeleteMessagePayload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return DeleteMessagePayload;
}(MessagePayload));

var __extends$19 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Базовая модель удаления сообщения
 */
var AbstractDeleteMessage = (function (_super) {
    __extends$19(AbstractDeleteMessage, _super);
    function AbstractDeleteMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new DeleteMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_DELETE;
        return _this;
    }
    return AbstractDeleteMessage;
}(AbstractMessage));

var __extends$18 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель удаления сообщения из канала
 */
var DeleteMessageChannel = (function (_super) {
    __extends$18(DeleteMessageChannel, _super);
    function DeleteMessageChannel() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return DeleteMessageChannel;
}(AbstractDeleteMessage));

var __extends$21 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель удаления сообщения из чата
 */
var DeleteMessageDirect = (function (_super) {
    __extends$21(DeleteMessageDirect, _super);
    function DeleteMessageDirect() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_DIRECT;
        return _this;
    }
    return DeleteMessageDirect;
}(AbstractDeleteMessage));

var __extends$22 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель удаления сообщения из группы
 */
var DeleteMessageGroup = (function (_super) {
    __extends$22(DeleteMessageGroup, _super);
    function DeleteMessageGroup() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return DeleteMessageGroup;
}(AbstractDeleteMessage));

var __extends$25 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель полезной нагрузки сообщения: редактирование сообщения
 */
var EditMessagePayload = (function (_super) {
    __extends$25(EditMessagePayload, _super);
    function EditMessagePayload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return EditMessagePayload;
}(MessagePayload));

var __extends$24 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Базовая модель редактирования сообщения
 */
var AbstractEditMessage = (function (_super) {
    __extends$24(AbstractEditMessage, _super);
    function AbstractEditMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new EditMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_EDIT;
        return _this;
    }
    return AbstractEditMessage;
}(AbstractMessage));

var __extends$23 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель редактирования сообщения в канале
 */
var EditMessageChannel = (function (_super) {
    __extends$23(EditMessageChannel, _super);
    function EditMessageChannel() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return EditMessageChannel;
}(AbstractEditMessage));

var __extends$26 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель редактирования сообщения в чате
 */
var EditMessageDirect = (function (_super) {
    __extends$26(EditMessageDirect, _super);
    function EditMessageDirect() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_DIRECT;
        return _this;
    }
    return EditMessageDirect;
}(AbstractEditMessage));

var __extends$27 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель редактирования сообщения в группе
 */
var EditMessageGroup = (function (_super) {
    __extends$27(EditMessageGroup, _super);
    function EditMessageGroup() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return EditMessageGroup;
}(AbstractEditMessage));

var __extends$30 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель полезной нагрузки сообщения: пересылка сообщения
 */
var ForwardMessagePayload = (function (_super) {
    __extends$30(ForwardMessagePayload, _super);
    function ForwardMessagePayload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return ForwardMessagePayload;
}(MessagePayload));

var __extends$29 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Базовая модель пересылки сообщения
 */
var AbstractForwardMessage = (function (_super) {
    __extends$29(AbstractForwardMessage, _super);
    function AbstractForwardMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new ForwardMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_FORWARD;
        return _this;
    }
    return AbstractForwardMessage;
}(AbstractMessage));

var __extends$28 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель пересылки сообщения в канал
 */
var ForwardMessageChannel = (function (_super) {
    __extends$28(ForwardMessageChannel, _super);
    function ForwardMessageChannel() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return ForwardMessageChannel;
}(AbstractForwardMessage));

var __extends$31 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель пересылки сообщения в чат
 */
var ForwardMessageDirect = (function (_super) {
    __extends$31(ForwardMessageDirect, _super);
    function ForwardMessageDirect() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_DIRECT;
        return _this;
    }
    return ForwardMessageDirect;
}(AbstractForwardMessage));

var __extends$32 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель пересылки сообщения в группу
 */
var ForwardMessageGroup = (function (_super) {
    __extends$32(ForwardMessageGroup, _super);
    function ForwardMessageGroup() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return ForwardMessageGroup;
}(AbstractForwardMessage));

var __extends$35 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель полезной нагрузки сообщения: ответ на сообщение
 */
var ReplyMessagePayload = (function (_super) {
    __extends$35(ReplyMessagePayload, _super);
    function ReplyMessagePayload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return ReplyMessagePayload;
}(MessagePayload));

var __extends$34 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Базовая модель ответа на сообщение
 */
var AbstractReplyMessage = (function (_super) {
    __extends$34(AbstractReplyMessage, _super);
    function AbstractReplyMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new ReplyMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_REPLY;
        return _this;
    }
    return AbstractReplyMessage;
}(AbstractMessage));

var __extends$33 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель ответа на сообщение в канале
 */
var ReplyMessageChannel = (function (_super) {
    __extends$33(ReplyMessageChannel, _super);
    function ReplyMessageChannel() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return ReplyMessageChannel;
}(AbstractReplyMessage));

var __extends$36 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель ответа на сообщение в чате
 */
var ReplyMessageDirect = (function (_super) {
    __extends$36(ReplyMessageDirect, _super);
    function ReplyMessageDirect() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_DIRECT;
        return _this;
    }
    return ReplyMessageDirect;
}(AbstractReplyMessage));

var __extends$37 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель ответа на сообщение в группе
 */
var ReplyMessageGroup = (function (_super) {
    __extends$37(ReplyMessageGroup, _super);
    function ReplyMessageGroup() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return ReplyMessageGroup;
}(AbstractReplyMessage));

var __extends$40 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель полезной нагрузки сообщения: просмотр сообщения
 */
var SeenMessagePayload = (function (_super) {
    __extends$40(SeenMessagePayload, _super);
    function SeenMessagePayload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return SeenMessagePayload;
}(MessagePayload));

var __extends$39 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Базовая модель просмотра сообщения
 */
var AbstractSeenMessage = (function (_super) {
    __extends$39(AbstractSeenMessage, _super);
    function AbstractSeenMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new SeenMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_SEEN;
        return _this;
    }
    return AbstractSeenMessage;
}(AbstractMessage));

var __extends$38 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о просмотре сообщения в канале
 */
var SeenMessageChannel = (function (_super) {
    __extends$38(SeenMessageChannel, _super);
    function SeenMessageChannel() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return SeenMessageChannel;
}(AbstractSeenMessage));

var __extends$41 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о просмотре сообщения в чате
 */
var SeenMessageDirect = (function (_super) {
    __extends$41(SeenMessageDirect, _super);
    function SeenMessageDirect() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_DIRECT;
        return _this;
    }
    return SeenMessageDirect;
}(AbstractSeenMessage));

var __extends$42 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о просмотре сообщения в группе
 */
var SeenMessageGroup = (function (_super) {
    __extends$42(SeenMessageGroup, _super);
    function SeenMessageGroup() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return SeenMessageGroup;
}(AbstractSeenMessage));

var __extends$45 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель полезной нагрузки сообщения: отправка сообщения
 */
var SendMessagePayload = (function (_super) {
    __extends$45(SendMessagePayload, _super);
    function SendMessagePayload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return SendMessagePayload;
}(MessagePayload));

var __extends$44 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Базовая модель отправки сообщения
 */
var AbstractSendMessage = (function (_super) {
    __extends$44(AbstractSendMessage, _super);
    function AbstractSendMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new SendMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_SEND;
        return _this;
    }
    return AbstractSendMessage;
}(AbstractMessage));

var __extends$43 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель отправки сообщения в канал
 */
var SendMessageChannel = (function (_super) {
    __extends$43(SendMessageChannel, _super);
    function SendMessageChannel() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return SendMessageChannel;
}(AbstractSendMessage));

var __extends$46 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель отправки сообщения в чат
 */
var SendMessageDirect = (function (_super) {
    __extends$46(SendMessageDirect, _super);
    function SendMessageDirect() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_DIRECT;
        return _this;
    }
    return SendMessageDirect;
}(AbstractSendMessage));

var __extends$47 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель отправки сообщения в группу
 */
var SendMessageGroup = (function (_super) {
    __extends$47(SendMessageGroup, _super);
    function SendMessageGroup() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return SendMessageGroup;
}(AbstractSendMessage));

var __extends$48 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о нарушении пункта правил
 */
var RulesSystem = (function (_super) {
    __extends$48(RulesSystem, _super);
    function RulesSystem() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_RULES;
        return _this;
    }
    return RulesSystem;
}(AbstractMessage));

var __extends$49 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о необходимости выполнить команду на фронтенде
 */
var UictlSystem = (function (_super) {
    __extends$49(UictlSystem, _super);
    function UictlSystem() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_UICTL;
        return _this;
    }
    return UictlSystem;
}(AbstractMessage));

var __extends$50 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о приглашении в группу
 */
var InviteSystemGroup = (function (_super) {
    __extends$50(InviteSystemGroup, _super);
    function InviteSystemGroup() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_INVITE;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return InviteSystemGroup;
}(AbstractMessage));

var __extends$51 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о приглашении в канал
 */
var InviteSystemChannel = (function (_super) {
    __extends$51(InviteSystemChannel, _super);
    function InviteSystemChannel() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_INVITE;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return InviteSystemChannel;
}(AbstractMessage));

var __extends$52 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о блокировании объявления
 */
var LockrealtySystem = (function (_super) {
    __extends$52(LockrealtySystem, _super);
    function LockrealtySystem() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_LOCK_REALTY;
        return _this;
    }
    return LockrealtySystem;
}(AbstractMessage));

var __extends$53 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о блокировании пользователя
 */
var LockuserSystem = (function (_super) {
    __extends$53(LockuserSystem, _super);
    function LockuserSystem() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_LOCK_USER;
        return _this;
    }
    return LockuserSystem;
}(AbstractMessage));

var __extends$54 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о вступлении пользователя в канал
 */
var JoinSystemChannel = (function (_super) {
    __extends$54(JoinSystemChannel, _super);
    function JoinSystemChannel() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_JOIN;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return JoinSystemChannel;
}(AbstractMessage));

var __extends$55 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о вступлении пользователя в группу
 */
var JoinSystemGroup = (function (_super) {
    __extends$55(JoinSystemGroup, _super);
    function JoinSystemGroup() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_JOIN;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return JoinSystemGroup;
}(AbstractMessage));

var __extends$56 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о изгнании пользователя из канала
 */
var KickoffSystemChannel = (function (_super) {
    __extends$56(KickoffSystemChannel, _super);
    function KickoffSystemChannel() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_KICKOFF;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return KickoffSystemChannel;
}(AbstractMessage));

var __extends$57 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о изгнании пользователя из группы
 */
var KickoffSystemGroup = (function (_super) {
    __extends$57(KickoffSystemGroup, _super);
    function KickoffSystemGroup() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_KICKOFF;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return KickoffSystemGroup;
}(AbstractMessage));

var __extends$58 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о выходе пользователя из канала
 */
var LeaveSystemChannel = (function (_super) {
    __extends$58(LeaveSystemChannel, _super);
    function LeaveSystemChannel() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_LEAVE;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return LeaveSystemChannel;
}(AbstractMessage));

var __extends$59 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о выходе пользователя из группы
 */
var LeaveSystemGroup = (function (_super) {
    __extends$59(LeaveSystemGroup, _super);
    function LeaveSystemGroup() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_LEAVE;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return LeaveSystemGroup;
}(AbstractMessage));

var __extends$60 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о удалении канала
 */
var RemoveSystemChannel = (function (_super) {
    __extends$60(RemoveSystemChannel, _super);
    function RemoveSystemChannel() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_REMOVE;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return RemoveSystemChannel;
}(AbstractMessage));

var __extends$61 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о удалении группы
 */
var RemoveSystemGroup = (function (_super) {
    __extends$61(RemoveSystemGroup, _super);
    function RemoveSystemGroup() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_REMOVE;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return RemoveSystemGroup;
}(AbstractMessage));

var __extends$64 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель полезной нагрузки сообщения: сообщение о смене статуса пользователя
 */
var StatusSystemUserPayload = (function (_super) {
    __extends$64(StatusSystemUserPayload, _super);
    function StatusSystemUserPayload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return StatusSystemUserPayload;
}(MessagePayload));

var __extends$63 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Базовая модель смены статуса пользователя
 */
var AbstractStatusSystemUser = (function (_super) {
    __extends$63(AbstractStatusSystemUser, _super);
    function AbstractStatusSystemUser() {
        var _this = _super.call(this) || this;
        _this.payload = new StatusSystemUserPayload();
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM_USER;
        _this.header.action = MESSAGE_HEADER_ACTION_STATUS;
        return _this;
    }
    return AbstractStatusSystemUser;
}(AbstractMessage));

var __extends$62 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель сообщения смены пользователя в канале
 */
var StatusSystemUserChannel = (function (_super) {
    __extends$62(StatusSystemUserChannel, _super);
    function StatusSystemUserChannel() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return StatusSystemUserChannel;
}(AbstractStatusSystemUser));

var __extends$65 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель сообщения смены пользователя в группе
 */
var StatusSystemUserGroup = (function (_super) {
    __extends$65(StatusSystemUserGroup, _super);
    function StatusSystemUserGroup() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return StatusSystemUserGroup;
}(AbstractStatusSystemUser));

var __extends$66 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель сообщения смены пользователя в чате
 */
var StatusSystemUserDirect = (function (_super) {
    __extends$66(StatusSystemUserDirect, _super);
    function StatusSystemUserDirect() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_DIRECT;
        return _this;
    }
    return StatusSystemUserDirect;
}(AbstractStatusSystemUser));

var __extends$69 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель полезной нагрузки сообщения: начало/окончание набора сообщения
 */
var TypingMessagePayload = (function (_super) {
    __extends$69(TypingMessagePayload, _super);
    function TypingMessagePayload() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return TypingMessagePayload;
}(MessagePayload));

var __extends$68 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Базовая модель сообщения о наборе текста
 */
var AbstractTypingMessage = (function (_super) {
    __extends$68(AbstractTypingMessage, _super);
    function AbstractTypingMessage() {
        var _this = _super.call(this) || this;
        _this.payload = new TypingMessagePayload();
        _this.header.type = MESSAGE_HEADER_TYPE_MESSAGE;
        _this.header.action = MESSAGE_HEADER_ACTION_TYPING;
        return _this;
    }
    return AbstractTypingMessage;
}(AbstractMessage));

var __extends$67 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о начале/окончании набора сообщения в чате
 */
var TypingMessageDirect = (function (_super) {
    __extends$67(TypingMessageDirect, _super);
    function TypingMessageDirect() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_DIRECT;
        return _this;
    }
    return TypingMessageDirect;
}(AbstractTypingMessage));

var __extends$70 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о начале/окончании набора сообщения в группе
 */
var TypingMessageGroup = (function (_super) {
    __extends$70(TypingMessageGroup, _super);
    function TypingMessageGroup() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_GROUP;
        return _this;
    }
    return TypingMessageGroup;
}(AbstractTypingMessage));

var __extends$71 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о начале/окончании набора сообщения в канале
 */
var TypingMessageChannel = (function (_super) {
    __extends$71(TypingMessageChannel, _super);
    function TypingMessageChannel() {
        var _this = _super.call(this) || this;
        _this.header.rcpt = MESSAGE_RCPT_CHANNEL;
        return _this;
    }
    return TypingMessageChannel;
}(AbstractTypingMessage));

var __extends$72 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о создании объявления
 */
var CreateSystemRealty = (function (_super) {
    __extends$72(CreateSystemRealty, _super);
    function CreateSystemRealty() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_REALTY_CREATE;
        _this.header.rcpt = MESSAGE_RCPT_REALTY;
        return _this;
    }
    return CreateSystemRealty;
}(AbstractMessage));

var __extends$73 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о создании объявления и отправке на модерации для публикации на НС
 */
var ModerateSystemRealty = (function (_super) {
    __extends$73(ModerateSystemRealty, _super);
    function ModerateSystemRealty() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_REALTY_MODERATE;
        _this.header.rcpt = MESSAGE_RCPT_REALTY;
        return _this;
    }
    return ModerateSystemRealty;
}(AbstractMessage));

var __extends$74 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о редактировании объявления
 */
var UpdateSystemRealty = (function (_super) {
    __extends$74(UpdateSystemRealty, _super);
    function UpdateSystemRealty() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_REALTY_UPDATE;
        _this.header.rcpt = MESSAGE_RCPT_REALTY;
        return _this;
    }
    return UpdateSystemRealty;
}(AbstractMessage));

var __extends$75 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * Модель уведомления о удалении объявления
 */
var DeleteSystemRealty = (function (_super) {
    __extends$75(DeleteSystemRealty, _super);
    function DeleteSystemRealty() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_SYSTEM;
        _this.header.action = MESSAGE_HEADER_ACTION_REALTY_DELETE;
        _this.header.rcpt = MESSAGE_RCPT_REALTY;
        return _this;
    }
    return DeleteSystemRealty;
}(AbstractMessage));

var __extends$76 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Модель уведомления об успешной модерации профиля
var AcceptModeration = (function (_super) {
    __extends$76(AcceptModeration, _super);
    function AcceptModeration() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_MODERATION;
        _this.header.action = MESSAGE_HEADER_ACTION_ACCEPT;
        return _this;
    }
    return AcceptModeration;
}(AbstractMessage));

var __extends$77 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Модель уведомления об отклоненной модерации профиля
var DeclineModeration = (function (_super) {
    __extends$77(DeclineModeration, _super);
    function DeclineModeration() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_MODERATION;
        _this.header.action = MESSAGE_HEADER_ACTION_DECLINE;
        return _this;
    }
    return DeclineModeration;
}(AbstractMessage));

/**
 * Модель сообщения в чате (канале\группе\диалоге)
 */
var ChatMessageModel = (function () {
    function ChatMessageModel() {
    }
    return ChatMessageModel;
}());

/**
 * Модель результата поиска сообщений
 */
var MessageSearchResultModel = (function () {
    function MessageSearchResultModel() {
    }
    return MessageSearchResultModel;
}());

/**
 * Модель найденного сообщения
 */
var MessageSearchResultItemModel = (function () {
    function MessageSearchResultItemModel() {
    }
    return MessageSearchResultItemModel;
}());

// Статусы модерации
// В процессе
// Статусы модерации
var MODERATION_PROCESSING = 'processing';
// Отменено
var MODERATION_CANCELED = 'canceled';
// Принято
var MODERATION_ACCEPTED = 'accepted';
// Отказано
var MODERATION_DECLINED = 'declined';

var __extends$78 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Модель уведомления об отклоненной модерации объявления
var DeclineRealtyModeration = (function (_super) {
    __extends$78(DeclineRealtyModeration, _super);
    function DeclineRealtyModeration() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_REALTY_MODERATION;
        _this.header.action = MESSAGE_HEADER_ACTION_DECLINE;
        return _this;
    }
    return DeclineRealtyModeration;
}(AbstractMessage));

var __extends$79 = (true && true.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
// Модель уведомления об успешной модерации объявления
var AcceptRealtyModeration = (function (_super) {
    __extends$79(AcceptRealtyModeration, _super);
    function AcceptRealtyModeration() {
        var _this = _super.call(this) || this;
        _this.header.type = MESSAGE_HEADER_TYPE_REALTY_MODERATION;
        _this.header.action = MESSAGE_HEADER_ACTION_ACCEPT;
        return _this;
    }
    return AcceptRealtyModeration;
}(AbstractMessage));

exports.AbstractRefModel = AbstractRefModel;
exports.AbstractRefsService = AbstractRefsService;
exports.CommonModule = CommonModule;
exports.CurrentUserInfoModel = CurrentUserInfoModel;
exports.CurrentUserService = CurrentUserService;
exports.STORAGE_TOKEN_KEY = STORAGE_TOKEN_KEY;
exports.DynamicRefsService = DynamicRefsService;
exports.DynamicRefsBuilderService = DynamicRefsBuilderService;
exports.ExternalResourceService = ExternalResourceService;
exports.GeoModel = GeoModel;
exports.GeoService = GeoService;
exports.HelperService = HelperService;
exports.HttpErrorService = HttpErrorService;
exports.HttpService = HttpService;
exports.LocalStorageService = LocalStorageService;
exports.PhoneModel = PhoneModel;
exports.SocialModel = SocialModel;
exports.ResponseListModel = ResponseListModel;
exports.RealtorsService = RealtorsService;
exports.RealtorModel = RealtorModel;
exports.RealtyService = RealtyService;
exports.RefsService = RefsService;
exports.RegisterInfoModel = RegisterInfoModel;
exports.RealtyDealModel = RealtyDealModel;
exports.RealtyDealService = RealtyDealService;
exports.SessionStorageService = SessionStorageService;
exports.StorageService = StorageService;
exports.SpecializationModel = SpecializationModel;
exports.SpecialziationService = SpecialziationService;
exports.ValidationService = ValidationService;
exports.WebsocketService = WebsocketService;
exports.RealtyFilterOperation = RealtyFilterOperation;
exports.RealtyFilterLogicalOperation = RealtyFilterLogicalOperation;
exports.RealtyFiltersBuilder = RealtyFiltersBuilder;
exports.PeersService = PeersService;
exports.ChatsService = ChatsService;
exports.GroupsService = GroupsService;
exports.ChannelsService = ChannelsService;
exports.ChatCreateInfoModel = ChatCreateInfoModel;
exports.ChatInfoModel = ChatInfoModel;
exports.MemberInfoModel = MemberInfoModel;
exports.NotifyInfoModel = NotifyInfoModel;
exports.NotificationItemModel = NotificationItemModel;
exports.NotificationService = NotificationService;
exports.ArticlesService = ArticlesService;
exports.ArticleModel = ArticleModel;
exports.CommonConfigService = CommonConfigService;
exports.CurrentUserUrls = CurrentUserUrls;
exports.MESSAGE_RCPT_DIRECT = MESSAGE_RCPT_DIRECT;
exports.MESSAGE_RCPT_GROUP = MESSAGE_RCPT_GROUP;
exports.MESSAGE_RCPT_CHANNEL = MESSAGE_RCPT_CHANNEL;
exports.MESSAGE_RCPT_REALTY = MESSAGE_RCPT_REALTY;
exports.MESSAGE_HEADER_TYPE_MESSAGE = MESSAGE_HEADER_TYPE_MESSAGE;
exports.MESSAGE_HEADER_TYPE_SYSTEM = MESSAGE_HEADER_TYPE_SYSTEM;
exports.MESSAGE_HEADER_TYPE_SYSTEM_USER = MESSAGE_HEADER_TYPE_SYSTEM_USER;
exports.MESSAGE_HEADER_TYPE_MODERATION = MESSAGE_HEADER_TYPE_MODERATION;
exports.MESSAGE_HEADER_TYPE_REALTY_MODERATION = MESSAGE_HEADER_TYPE_REALTY_MODERATION;
exports.MESSAGE_HEADER_ACTION_ACCEPT = MESSAGE_HEADER_ACTION_ACCEPT;
exports.MESSAGE_HEADER_ACTION_DECLINE = MESSAGE_HEADER_ACTION_DECLINE;
exports.MESSAGE_HEADER_ACTION_RULES = MESSAGE_HEADER_ACTION_RULES;
exports.MESSAGE_HEADER_ACTION_UICTL = MESSAGE_HEADER_ACTION_UICTL;
exports.MESSAGE_HEADER_ACTION_LOCK_USER = MESSAGE_HEADER_ACTION_LOCK_USER;
exports.MESSAGE_HEADER_ACTION_LOCK_REALTY = MESSAGE_HEADER_ACTION_LOCK_REALTY;
exports.MESSAGE_HEADER_ACTION_INVITE = MESSAGE_HEADER_ACTION_INVITE;
exports.MESSAGE_HEADER_ACTION_SEND = MESSAGE_HEADER_ACTION_SEND;
exports.MESSAGE_HEADER_ACTION_REPLY = MESSAGE_HEADER_ACTION_REPLY;
exports.MESSAGE_HEADER_ACTION_FORWARD = MESSAGE_HEADER_ACTION_FORWARD;
exports.MESSAGE_HEADER_ACTION_EDIT = MESSAGE_HEADER_ACTION_EDIT;
exports.MESSAGE_HEADER_ACTION_DELETE = MESSAGE_HEADER_ACTION_DELETE;
exports.MESSAGE_HEADER_ACTION_SEEN = MESSAGE_HEADER_ACTION_SEEN;
exports.MESSAGE_HEADER_ACTION_STATUS = MESSAGE_HEADER_ACTION_STATUS;
exports.MESSAGE_HEADER_ACTION_JOIN = MESSAGE_HEADER_ACTION_JOIN;
exports.MESSAGE_HEADER_ACTION_LEAVE = MESSAGE_HEADER_ACTION_LEAVE;
exports.MESSAGE_HEADER_ACTION_KICKOFF = MESSAGE_HEADER_ACTION_KICKOFF;
exports.MESSAGE_HEADER_ACTION_REMOVE = MESSAGE_HEADER_ACTION_REMOVE;
exports.MESSAGE_HEADER_ACTION_REALTY_CREATE = MESSAGE_HEADER_ACTION_REALTY_CREATE;
exports.MESSAGE_HEADER_ACTION_REALTY_UPDATE = MESSAGE_HEADER_ACTION_REALTY_UPDATE;
exports.MESSAGE_HEADER_ACTION_REALTY_DELETE = MESSAGE_HEADER_ACTION_REALTY_DELETE;
exports.MESSAGE_HEADER_ACTION_REALTY_MODERATE = MESSAGE_HEADER_ACTION_REALTY_MODERATE;
exports.DeleteMessageChannel = DeleteMessageChannel;
exports.DeleteMessageDirect = DeleteMessageDirect;
exports.DeleteMessageGroup = DeleteMessageGroup;
exports.EditMessageChannel = EditMessageChannel;
exports.EditMessageDirect = EditMessageDirect;
exports.EditMessageGroup = EditMessageGroup;
exports.ForwardMessageChannel = ForwardMessageChannel;
exports.ForwardMessageDirect = ForwardMessageDirect;
exports.ForwardMessageGroup = ForwardMessageGroup;
exports.ReplyMessageChannel = ReplyMessageChannel;
exports.ReplyMessageDirect = ReplyMessageDirect;
exports.ReplyMessageGroup = ReplyMessageGroup;
exports.SeenMessageChannel = SeenMessageChannel;
exports.SeenMessageDirect = SeenMessageDirect;
exports.SeenMessageGroup = SeenMessageGroup;
exports.SendMessageChannel = SendMessageChannel;
exports.SendMessageDirect = SendMessageDirect;
exports.SendMessageGroup = SendMessageGroup;
exports.RulesSystem = RulesSystem;
exports.UictlSystem = UictlSystem;
exports.InviteSystemGroup = InviteSystemGroup;
exports.InviteSystemChannel = InviteSystemChannel;
exports.LockrealtySystem = LockrealtySystem;
exports.LockuserSystem = LockuserSystem;
exports.JoinSystemChannel = JoinSystemChannel;
exports.JoinSystemGroup = JoinSystemGroup;
exports.KickoffSystemChannel = KickoffSystemChannel;
exports.KickoffSystemGroup = KickoffSystemGroup;
exports.LeaveSystemChannel = LeaveSystemChannel;
exports.LeaveSystemGroup = LeaveSystemGroup;
exports.RemoveSystemChannel = RemoveSystemChannel;
exports.RemoveSystemGroup = RemoveSystemGroup;
exports.StatusSystemUserChannel = StatusSystemUserChannel;
exports.StatusSystemUserGroup = StatusSystemUserGroup;
exports.StatusSystemUserDirect = StatusSystemUserDirect;
exports.TypingMessageDirect = TypingMessageDirect;
exports.TypingMessageGroup = TypingMessageGroup;
exports.TypingMessageChannel = TypingMessageChannel;
exports.AbstractSendMessage = AbstractSendMessage;
exports.AbstractEditMessage = AbstractEditMessage;
exports.AbstractReplyMessage = AbstractReplyMessage;
exports.AbstractForwardMessage = AbstractForwardMessage;
exports.CreateSystemRealty = CreateSystemRealty;
exports.ModerateSystemRealty = ModerateSystemRealty;
exports.UpdateSystemRealty = UpdateSystemRealty;
exports.DeleteSystemRealty = DeleteSystemRealty;
exports.AcceptModeration = AcceptModeration;
exports.DeclineModeration = DeclineModeration;
exports.ChatMessageModel = ChatMessageModel;
exports.MessageSearchResultModel = MessageSearchResultModel;
exports.MessageSearchResultItemModel = MessageSearchResultItemModel;
exports.MODERATION_PROCESSING = MODERATION_PROCESSING;
exports.MODERATION_CANCELED = MODERATION_CANCELED;
exports.MODERATION_ACCEPTED = MODERATION_ACCEPTED;
exports.MODERATION_DECLINED = MODERATION_DECLINED;
exports.DeclineRealtyModeration = DeclineRealtyModeration;
exports.AcceptRealtyModeration = AcceptRealtyModeration;

Object.defineProperty(exports, '__esModule', { value: true });

})));
